execute as @e[tag=Boss,scores={TimeBoss=0}] run scoreboard players add @s Time 1
scoreboard players set @e[tag=Boss,scores={TimeBoss=1}] Time 0

execute at @e[tag=Boss,scores={Time=4}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Bunny\""}
execute at @e[tag=Boss,scores={Time=4}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Skeleton\""}
execute at @e[tag=Boss,scores={Time=4}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Bury\""}
execute at @e[tag=Boss,scores={Time=4}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Bomb\""}
execute at @e[tag=Boss,scores={Time=4}] run tag @e[type=area_effect_cloud,limit=1,sort=random,distance=..1] add Choose

execute as @e[tag=Boss,scores={Time=4..}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run tag @s add HitDone
execute as @e[tag=Boss,scores={Time=4..}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run tag @s add EnemyNoMove
execute as @e[tag=Boss,scores={Time=4..}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run scoreboard players set @s Time 8

execute as @e[tag=Boss,scores={Time=4..}] at @s if entity @e[name=Bunny,tag=Choose,distance=..1] run tag @s add Bunny
execute as @e[tag=Boss,scores={Time=4..}] at @s if entity @e[name=Bunny,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 5
execute as @e[tag=Boss,scores={Time=4..}] at @s if entity @e[name=Skeleton,tag=Choose,distance=..1] run tag @s add Skeleton
execute as @e[tag=Boss,scores={Time=4..}] at @s if entity @e[name=Skeleton,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 5
execute as @e[tag=Boss,scores={Time=4..}] at @s if entity @e[name=Bury,tag=Choose,distance=..1] run tag @s add Bury
execute as @e[tag=Boss,scores={Time=4..}] at @s if entity @e[name=Bury,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 6
execute as @e[tag=Boss,scores={Time=4..}] at @s if entity @e[name=Bomb,tag=Choose,distance=..1] run tag @s add Bomb
execute as @e[tag=Boss,scores={Time=4..}] at @s if entity @e[name=Bomb,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 6

scoreboard players remove @e[tag=Boss,scores={TimeBoss=1..}] TimeBoss 1
scoreboard players add @e[type=armor_stand,name=FindBomb] TimeBoss 1
execute as @e[tag=Boss,scores={TimeBoss=1..}] run tag @s add HitDone
execute as @e[tag=Boss,scores={TimeBoss=1..}] run tag @s add EnemyNoMove

execute as @e[tag=Boss,scores={TimeBoss=4},tag=Bunny] run tellraw @a[tag=Playing] {"text":"Killer Bunny summons a flock...","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bunny] at @s if block ~1 ~ ~ #path:standable run summon rabbit ~1 ~ ~ {Tags:["Enemy","EnemyNoMove","HitDone"],NoAI:1}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bunny] at @s if block ~-1 ~ ~ #path:standable run summon rabbit ~-1 ~ ~ {Tags:["Enemy","EnemyNoMove","HitDone"],NoAI:1}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bunny] at @s if block ~ ~ ~1 #path:standable run summon rabbit ~ ~ ~1 {Tags:["Enemy","EnemyNoMove","HitDone"],NoAI:1}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bunny] at @s if block ~ ~ ~-1 #path:standable run summon rabbit ~ ~ ~-1 {Tags:["Enemy","EnemyNoMove","HitDone"],NoAI:1}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bunny] run scoreboard players set @e[type=rabbit,tag=!Secured] AttackMin 8
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bunny] run scoreboard players set @e[type=rabbit,tag=!Secured] AttackMax 10
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bunny] run scoreboard players set @e[type=rabbit,tag=!Secured] DefenseMin 0
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bunny] run scoreboard players set @e[type=rabbit,tag=!Secured] DefenseMax 1
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bunny] run scoreboard players set @e[type=rabbit,tag=!Secured] Health 20
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bunny] run tag @e[type=rabbit,tag=!Secured] add Secured
tag @e[tag=Boss,scores={TimeBoss=0},tag=Bunny] remove Bunny

execute as @e[tag=Boss,scores={TimeBoss=4},tag=Skeleton] run tellraw @a[tag=Playing] {"text":"Killer Bunny jumps around aggressively...","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Skeleton] at @e[name=BossStand,limit=1] run spreadplayers ~ ~ 1 3 false @e[name=TeleportBoss,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Skeleton] as @e[name=TeleportBoss,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Skeleton] as @e[name=TeleportBoss,type=area_effect_cloud] at @s unless block ~ ~ ~ #path:standable run kill @s
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Skeleton] at @s at @e[name=TeleportBoss,type=area_effect_cloud,sort=furthest,limit=1] run tp @s ~ ~ ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] at @s run summon skeleton ~ ~ ~ {Tags:["Enemy","EnemyNoMove","HitDone"],NoAI:1}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] run scoreboard players set @e[type=skeleton,tag=!Secured] AttackMin 10
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] run scoreboard players set @e[type=skeleton,tag=!Secured] AttackMax 12
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] run scoreboard players set @e[type=skeleton,tag=!Secured] DefenseMin 0
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] run scoreboard players set @e[type=skeleton,tag=!Secured] DefenseMax 0
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] run scoreboard players set @e[type=skeleton,tag=!Secured] Health 30
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] run tag @e[type=skeleton,tag=!Secured] add Secured
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] at @e[name=BossStand,limit=1] run spreadplayers ~ ~ 1 3 false @e[name=TeleportBoss,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] as @e[name=TeleportBoss,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] as @e[name=TeleportBoss,type=area_effect_cloud] at @s unless block ~ ~ ~ #path:standable run kill @s
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Skeleton] at @s at @e[name=TeleportBoss,type=area_effect_cloud,sort=furthest,limit=1] run tp @s ~ ~ ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] at @s run summon skeleton ~ ~ ~ {Tags:["Enemy","EnemyNoMove","HitDone"],NoAI:1}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] run scoreboard players set @e[type=skeleton,tag=!Secured] AttackMin 10
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] run scoreboard players set @e[type=skeleton,tag=!Secured] AttackMax 12
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] run scoreboard players set @e[type=skeleton,tag=!Secured] DefenseMin 0
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] run scoreboard players set @e[type=skeleton,tag=!Secured] DefenseMax 0
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] run scoreboard players set @e[type=skeleton,tag=!Secured] Health 30
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] run tag @e[type=skeleton,tag=!Secured] add Secured
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] at @s at @e[name=BossStand,limit=1] run spreadplayers ~ ~ 1 3 false @e[name=TeleportBoss,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] as @e[name=TeleportBoss,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] as @e[name=TeleportBoss,type=area_effect_cloud] at @s unless block ~ ~ ~ #path:standable run kill @s
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Skeleton] at @e[name=TeleportBoss,type=area_effect_cloud,sort=furthest,limit=1] run tp @s ~ ~ ~ facing entity @e[tag=Player,limit=1]
tag @e[tag=Boss,scores={TimeBoss=0},tag=Skeleton] remove Skeleton

execute as @e[tag=Boss,scores={TimeBoss=5},tag=Bury] run tellraw @a[tag=Playing] {"text":"Killer Bunny looks for your smell...","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Bury] run tag @s remove Enemy
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Bury] at @s run tp @s ~ 5 ~
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Bury] run summon armor_stand ~ 8 ~ {CustomName:"\"BunnyBeam\"",NoGravity:1,Invisible:1}
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Bury] at @s run tp @e[name=BunnyBeam] ~ 8 ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Bury] as @e[name=BunnyBeam] at @s run function enemy:boss/bunnybeam
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Bury] as @e[name=BunnyBeam] at @s run tp @s ~ 8 ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bury] as @e[name=BunnyBeam] at @s run function enemy:boss/bunnybeam
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bury] as @e[name=BunnyBeam] at @s run tp @s ~ 8 ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Bury] as @e[name=BunnyBeam] at @s run function enemy:boss/bunnybeam
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Bury] as @e[name=BunnyBeam] at @s run tp @s ~ 8 ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Bury] as @e[name=BunnyBeam] at @s run function enemy:boss/bunnybeam
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Bury] as @e[name=BunnyBeam] at @s run tp @s ~ 8 ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Bury] at @e[name=BunnyBeam] align xz run tp @s ~0.5 8 ~0.5
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Bury] at @s run tag @s add Enemy
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Bury] run kill @e[type=armor_stand,name=BunnyBeam]
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Bury] run particle cloud ~ ~ ~ 0.3 0.3 0.3 0.1 10 force
tag @e[tag=Boss,scores={TimeBoss=0},tag=Bury] remove Bury

execute as @e[tag=Boss,scores={TimeBoss=5},tag=Bomb] run tellraw @a[tag=Playing] {"text":"Killer Bunny buries his bombs...","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Bomb] run tag @s remove Enemy
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Bomb] at @s run tp @s ~ 5 ~
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Bomb] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"BombPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Bomb] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"BombPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Bomb] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"BombPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Bomb] at @e[name=Room,tag=BossRoom] run spreadplayers ~ ~ 1 3 false @e[name=BombPlace,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Bomb] as @e[name=BombPlace,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Bomb] at @e[name=BombPlace,type=area_effect_cloud] run particle cloud ~ ~ ~ 0.2 0.2 0.2 0.01 50 force
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Bomb] at @e[name=BombPlace] run summon armor_stand ~ ~-1.4 ~ {NoGravity:1,CustomName:"\"FindBomb\"",Invisible:1,ArmorItems:[{},{},{},{id:"tnt",Count:1}]}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bomb] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"BombPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bomb] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"BombPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bomb] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"BombPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bomb] at @e[name=Room,tag=BossRoom] run spreadplayers ~ ~ 1 3 false @e[name=BombPlace,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bomb] as @e[name=BombPlace,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bomb] at @e[name=BombPlace,type=area_effect_cloud] run particle cloud ~ ~ ~ 0.2 0.2 0.2 0.01 50 force
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bomb] at @e[name=BombPlace] run summon armor_stand ~ ~-1.4 ~ {NoGravity:1,CustomName:"\"FindBomb\"",Invisible:1,ArmorItems:[{},{},{},{id:"tnt",Count:1}]}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Bomb] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"BombPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Bomb] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"BombPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Bomb] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"BombPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Bomb] at @e[name=Room,tag=BossRoom] run spreadplayers ~ ~ 1 3 false @e[name=BombPlace,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Bomb] as @e[name=BombPlace,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Bomb] at @e[name=BombPlace,type=area_effect_cloud] run particle cloud ~ ~ ~ 0.2 0.2 0.2 0.01 50 force
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Bomb] at @e[name=BombPlace] run summon armor_stand ~ ~-1.4 ~ {NoGravity:1,CustomName:"\"FindBomb\"",Invisible:1,ArmorItems:[{},{},{},{id:"tnt",Count:1}]}
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Bomb] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Bomb] run tag @s add Enemy
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Bomb] run particle cloud ~ ~ ~ 0.3 0.3 0.3 0.1 10 force
tag @e[tag=Boss,scores={TimeBoss=0},tag=Bomb] remove Bomb

execute at @e[type=armor_stand,name=FindBomb,scores={TimeBoss=1..}] run particle explosion ~ ~1 ~ 0.4 0.4 0.4 0.1 10 force
execute at @e[type=armor_stand,name=FindBomb,scores={TimeBoss=1..}] run particle smoke ~ ~1 ~ 0.4 0.4 0.4 0.1 100 force
execute at @e[type=armor_stand,name=FindBomb,scores={TimeBoss=1..}] run playsound entity.dragon_fireball.explode ambient @a ~ ~ ~
execute at @e[type=armor_stand,name=FindBomb,scores={TimeBoss=1..}] run scoreboard players remove @e[tag=Player,distance=..2] Health 30
execute as @e[type=armor_stand,name=FindBomb,scores={TimeBoss=1..}] run kill @s

execute as @e[tag=Boss,scores={Time=4..,TimeBoss=0}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run scoreboard players set @s Time 0
execute as @e[tag=Boss,scores={Time=4..}] run kill @e[type=area_effect_cloud,distance=..1]