execute as @e[tag=Boss,scores={TimeBoss=0}] run scoreboard players add @s Time 1
scoreboard players set @e[tag=Boss,scores={TimeBoss=1}] Time 0

execute if score @e[tag=Boss,limit=1] Health matches ..100 run scoreboard players set @e[tag=Boss] Time 0
execute if score @e[tag=Boss,limit=1] Health matches ..100 run tellraw @a[tag=Playing] ["",{"text":"\"No...\"\n\"NO...\"\n","color":"dark_red"},{"text":"\"NO!!!\"","bold":"true","color":"dark_red"}]
execute if score @e[tag=Boss,limit=1] Health matches ..100 run tag @e[tag=Boss] add Finale
execute if score @e[tag=Boss,limit=1] Health matches ..100 run kill @e[type=area_effect_cloud]
execute if score @e[tag=Boss,limit=1] Health matches ..100 at @e[name=BossStand] run fill ^-3 ^ ^1 ^-4 ^2 ^-1 air destroy
execute if score @e[tag=Boss,limit=1] Health matches ..100 at @e[name=BossStand] run particle explosion ^-3 ^ ^ 1 1 1 0.1 100 force

execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Cube\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Attack\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Drain\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Wither\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Magma\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Nothing\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Nothing\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Nothing\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Nothing\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run tag @e[type=area_effect_cloud,limit=1,sort=random,distance=..1,tag=pick] add Choose

execute at @e[tag=Boss,scores={Time=4}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Pillar\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=4}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Blaze\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=4}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Hide\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=4}] run tag @e[type=area_effect_cloud,limit=1,sort=random,distance=..1,tag=pick] add Choose

execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run tag @s add HitDone
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run tag @s add EnemyNoMove
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run scoreboard players set @s Time 8

execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Cube,tag=Choose,distance=..1] run tag @s add Cube
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Cube,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 5
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Attack,tag=Choose,distance=..1] run tag @s add Attack
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Attack,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 6
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Drain,tag=Choose,distance=..1] run tag @s add Drain
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Drain,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 7
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Wither,tag=Choose,distance=..1] run tag @s add Wither
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Wither,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 3
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Magma,tag=Choose,distance=..1] run tag @s add Magma
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Magma,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 5
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Pillar,tag=Choose,distance=..1] run tag @s add Pillar
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Pillar,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 5
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Blaze,tag=Choose,distance=..1] run tag @s add Blaze
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Blaze,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 3
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Hide,tag=Choose,distance=..1] run tag @s add Hide
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Hide,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 9

scoreboard players remove @e[tag=Boss,scores={TimeBoss=1..}] TimeBoss 1
execute as @e[tag=Boss,scores={TimeBoss=1..}] run tag @s add HitDone
execute as @e[tag=Boss,scores={TimeBoss=1..}] run tag @s add EnemyNoMove

execute if score WitherBlocks Time matches 1.. run scoreboard players remove WitherBlocks Time 1
execute if score WitherBlocks Time matches 0 at @e[name=BossStand] run particle flame ~-3 8 ~ 0.7 0 0.7 0.1 100 force
execute if score WitherBlocks Time matches 0 at @e[name=BossStand] run particle flame ~3 8 ~ 0.7 0 0.7 0.1 100 force
execute if score WitherBlocks Time matches 0 at @e[name=BossStand] run particle flame ~ 8 ~-3 0.7 0 0.7 0.1 100 force
execute if score WitherBlocks Time matches 0 at @e[name=BossStand] run particle flame ~ 8 ~3 0.7 0 0.7 0.1 100 force
execute if score WitherBlocks Time matches 0 at @e[name=BossStand] run fill ~-4 7 ~-4 ~4 7 ~4 yellow_stained_glass replace coal_block
execute if score WitherBlocks Time matches 0 run scoreboard players reset WitherBlocks Time

execute as @e[tag=Boss,scores={TimeBoss=4},tag=Cube] run tellraw @a[tag=Playing] {"text":"\"Getting too hot for you?\"","color":"dark_red"}
execute as @e[tag=Boss,scores={TimeBoss=2..3},tag=Cube] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"RandomPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=2..3},tag=Cube] at @e[name=BossStand,limit=1] run spreadplayers ~ ~ 1 3 true @e[name=RandomPlace,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=2..3},tag=Cube] as @e[name=RandomPlace,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=2..3},tag=Cube] at @e[name=RandomPlace,type=area_effect_cloud] if block ~ ~ ~ #path:standable align xz run summon magma_cube ~0.5 8 ~0.5 {Tags:["Enemy","EnemyNoMove","HitDone"],NoAI:1}
execute as @e[tag=Boss,scores={TimeBoss=2..3},tag=Cube] at @e[name=RandomPlace,type=area_effect_cloud] run particle flame ~ ~ ~ 0.5 0.5 0.5 0.1 100 force @a
execute as @e[tag=Boss,scores={TimeBoss=2..3},tag=Cube] run scoreboard players set @e[type=magma_cube,tag=!Secured] AttackMin 18
execute as @e[tag=Boss,scores={TimeBoss=2..3},tag=Cube] run scoreboard players set @e[type=magma_cube,tag=!Secured] AttackMax 22
execute as @e[tag=Boss,scores={TimeBoss=2..3},tag=Cube] run scoreboard players set @e[type=magma_cube,tag=!Secured] DefenseMin 2
execute as @e[tag=Boss,scores={TimeBoss=2..3},tag=Cube] run scoreboard players set @e[type=magma_cube,tag=!Secured] DefenseMax 4
execute as @e[tag=Boss,scores={TimeBoss=2..3},tag=Cube] run scoreboard players set @e[type=magma_cube,tag=!Secured] Health 30
execute as @e[tag=Boss,scores={TimeBoss=2..3},tag=Cube] run tag @e[type=magma_cube,tag=!Secured] add Secured
tag @e[tag=Boss,scores={TimeBoss=0},tag=Cube] remove Cube

execute as @e[tag=Boss,scores={TimeBoss=5},tag=Attack] run tellraw @a[tag=Playing] {"text":"\"Come here!\"","color":"dark_red"}
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Attack] run tag @s remove EnemyNoMove
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Attack] at @s run particle explosion ~ ~ ~ 0.4 0.4 0.4 0.1 10 force
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Attack] at @s run scoreboard players remove @e[tag=Player,distance=..2] Health 80
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Attack] at @s run playsound entity.dragon_fireball.explode ambient @a
tag @e[tag=Boss,scores={TimeBoss=0},tag=Attack] remove Attack

execute as @e[tag=Boss,scores={TimeBoss=6},tag=Drain] run tellraw @a[tag=Playing] {"text":"\"Don't move!\"","color":"dark_red"}
execute as @e[tag=Boss,scores={TimeBoss=6},tag=Drain] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DharkonBeam\"",Duration:200000}
execute at @e[tag=Boss,scores={TimeBoss=6},tag=Drain] run tp @e[name=DharkonBeam] ~ ~ ~ facing entity @e[tag=Player,limit=1]
execute at @e[tag=Boss,scores={TimeBoss=6},tag=Drain] run particle flame ~ ~ ~ 0.5 0.5 0.5 0.01 100 force
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Drain] as @e[name=DharkonBeam] at @s run function enemy:boss/dharkonbeam
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Drain] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DharkonBeam\"",Duration:200000}
execute at @e[tag=Boss,scores={TimeBoss=4},tag=Drain] run tp @e[name=DharkonBeam] ~ ~ ~ facing entity @e[tag=Player,limit=1]
execute at @e[tag=Boss,scores={TimeBoss=4},tag=Drain] run particle flame ~ ~ ~ 0.5 0.5 0.5 0.01 100 force
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Drain] as @e[name=DharkonBeam] at @s run function enemy:boss/dharkonbeam
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Drain] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DharkonBeam\"",Duration:200000}
execute at @e[tag=Boss,scores={TimeBoss=2},tag=Drain] run tp @e[name=DharkonBeam] ~ ~ ~ facing entity @e[tag=Player,limit=1]
execute at @e[tag=Boss,scores={TimeBoss=2},tag=Drain] run particle flame ~ ~ ~ 0.5 0.5 0.5 0.01 100 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Drain] as @e[name=DharkonBeam] at @s run function enemy:boss/dharkonbeam
tag @e[tag=Boss,scores={TimeBoss=0},tag=Drain] remove Drain

execute as @e[tag=Boss,scores={TimeBoss=2},tag=Wither] run tellraw @a[tag=Playing] {"text":"\"Hahaha... darkness shall rise...\"","color":"dark_red"}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Wither] at @e[name=BossStand] run fill ~-4 7 ~-4 ~4 7 ~4 coal_block replace yellow_stained_glass
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Wither] at @e[name=BossStand] run fill ~-4 7 ~-4 ~4 7 ~4 coal_block replace black_concrete
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Wither] at @e[name=BossStand] run scoreboard players set WitherBlocks Time 15
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Wither] at @e[name=BossStand] run particle squid_ink ~-3 8 ~ 0.5 0 0.5 0.1 100 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Wither] at @e[name=BossStand] run particle squid_ink ~3 8 ~ 0.5 0 0.5 0.1 100 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Wither] at @e[name=BossStand] run particle squid_ink ~ 8 ~-3 0.5 0 0.5 0.1 100 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Wither] at @e[name=BossStand] run particle squid_ink ~ 8 ~3 0.5 0 0.5 0.1 100 force
tag @e[tag=Boss,scores={TimeBoss=0},tag=Wither] remove Wither

execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] run tellraw @a[tag=Playing] {"text":"\"Don't burn yourself! Hahahah...\"","color":"dark_red"}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~-1 ~ ~-1 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~-1 ~ ~1 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~1 ~ ~-1 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~1 ~ ~1 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~-2 ~ ~-2 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~-2 ~ ~2 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~2 ~ ~-2 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~2 ~ ~2 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~-4 ~ ~-4 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~-4 ~ ~4 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~4 ~ ~-4 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~4 ~ ~4 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~4 ~ ~2 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~2 ~ ~4 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~-2 ~ ~4 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~-4 ~ ~2 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~-4 ~ ~-2 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~-2 ~ ~-4 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~2 ~ ~-4 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~4 ~ ~-2 {CustomName:"\"MagmaExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=1..3},tag=Magma] at @e[name=MagmaExplode] run particle flame ~ ~0.5 ~ 0.2 1 0.2 0.01 50 force
execute as @e[tag=Boss,scores={TimeBoss=1..3},tag=Magma] at @e[name=MagmaExplode] run scoreboard players remove @e[tag=Player,distance=..0] Health 70
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Magma] run tag @s remove EnemyNoMove
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Magma] run tag @s remove HitDone
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Magma] run kill @e[name=MagmaExplode,type=area_effect_cloud]
tag @e[tag=Boss,scores={TimeBoss=0},tag=Magma] remove Magma

execute as @e[tag=Boss,scores={TimeBoss=4},tag=Pillar] run tellraw @a[tag=Playing] {"text":"\"Time to turn up the heat!\"","color":"dark_red"}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Pillar] at @e[name=BossStand] run summon area_effect_cloud ~-3 ~ ~-3 {CustomName:"\"PillarExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Pillar] at @e[name=BossStand] run summon area_effect_cloud ~3 ~ ~-3 {CustomName:"\"PillarExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Pillar] at @e[name=BossStand] run summon area_effect_cloud ~-3 ~ ~3 {CustomName:"\"PillarExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Pillar] at @e[name=BossStand] run summon area_effect_cloud ~3 ~ ~3 {CustomName:"\"PillarExplode\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Pillar] run tag @e[name=PillarExplode,limit=2,sort=random] add Choose
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Pillar] run kill @e[name=PillarExplode,tag=!Choose,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=2..4},tag=Pillar] at @e[name=PillarExplode] run particle flame ~ ~ ~ 1 1 1 0.1 100 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Pillar] at @e[name=PillarExplode] run particle explosion ~ ~ ~ 1.2 0.5 1.2 0.1 100 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Pillar] at @e[name=PillarExplode] positioned ~ ~0.8 ~ run scoreboard players remove @e[tag=Player,distance=..3] Health 80
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Pillar] run kill @e[name=PillarExplode,type=area_effect_cloud]
tag @e[tag=Boss,scores={TimeBoss=0},tag=Pillar] remove Pillar

execute as @e[tag=Boss,scores={TimeBoss=2},tag=Blaze] run tellraw @a[tag=Playing] {"text":"\"My slaves... rise up! Work for me!\"","color":"dark_red"}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Blaze] at @s run summon blaze ~ ~ ~ {NoAI:1,Tags:["Enemy","EnemyNoMove","HitDone","Fireball"],CustomName:"\"Evil Blaze\""}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Blaze] run scoreboard players set @e[type=blaze,tag=!Secured] AttackMin 15
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Blaze] run scoreboard players set @e[type=blaze,tag=!Secured] AttackMax 18
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Blaze] run scoreboard players set @e[type=blaze,tag=!Secured] DefenseMin 2
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Blaze] run scoreboard players set @e[type=blaze,tag=!Secured] DefenseMax 3
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Blaze] run scoreboard players set @e[type=blaze,tag=!Secured] Health 50
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Blaze] run tag @e[type=blaze,tag=!Secured] add Secured
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Blaze] at @e[name=BossStand] run tp @s ^-3 ^ ^ facing entity @e[tag=Player,limit=1]
tag @e[tag=Boss,scores={TimeBoss=0},tag=Blaze] remove Blaze

execute as @e[tag=Boss,scores={TimeBoss=8},tag=Hide] run tellraw @a[tag=Playing] {"text":"\"I am darkness itself!\"","color":"dark_red"}
execute as @e[tag=Boss,scores={TimeBoss=8},tag=Hide] run tag @s remove Enemy
execute as @e[tag=Boss,scores={TimeBoss=8},tag=Hide] at @s run tp @s ~ 5 ~

execute as @e[tag=Boss,scores={TimeBoss=1..6},tag=Hide] as @e[name=DharkonBeam2] at @s run function enemy:boss/dharkonbeam2
execute as @e[tag=Boss,scores={TimeBoss=1..6},tag=Hide] as @e[name=DharkonBeam2] run kill @s

execute as @e[tag=Boss,scores={TimeBoss=2..7},tag=Hide] at @e[tag=Player] run summon area_effect_cloud ~2 8 ~ {CustomName:"\"FireAim\"",Tags:["Effect"]}
execute as @e[tag=Boss,scores={TimeBoss=2..7},tag=Hide] at @e[tag=Player] run summon area_effect_cloud ~-2 8 ~ {CustomName:"\"FireAim\"",Tags:["Effect"]}
execute as @e[tag=Boss,scores={TimeBoss=2..7},tag=Hide] at @e[tag=Player] run summon area_effect_cloud ~ 8 ~2 {CustomName:"\"FireAim\"",Tags:["Effect"]}
execute as @e[tag=Boss,scores={TimeBoss=2..7},tag=Hide] at @e[tag=Player] run summon area_effect_cloud ~ 8 ~-2 {CustomName:"\"FireAim\"",Tags:["Effect"]}
execute as @e[tag=Boss,scores={TimeBoss=2..7},tag=Hide] as @e[name=FireAim] at @s unless block ~ 8 ~ #path:standable run kill @s
execute as @e[tag=Boss,scores={TimeBoss=2..7},tag=Hide] at @s run tag @e[type=area_effect_cloud,limit=1,sort=random,tag=Effect] add Choose2
execute as @e[tag=Boss,scores={TimeBoss=2..7},tag=Hide] at @e[name=FireAim,type=area_effect_cloud,tag=Choose2] run tp @s ~ 5 ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=2..7},tag=Hide] at @s run summon area_effect_cloud ~ 8 ~ {CustomName:"\"DharkonBeam2\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2..7},tag=Hide] at @s run tp @e[name=DharkonBeam2] ~ 8 ~ facing entity @e[tag=Player,limit=1]

execute as @e[tag=Boss,scores={TimeBoss=0},tag=Hide] run tag @s add Enemy
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Hide] at @e[name=BossStand] run tp @s ^-3 ^ ^ facing entity @e[tag=Player,limit=1]
tag @e[tag=Boss,scores={TimeBoss=0},tag=Hide] remove Hide

execute at @e[name=DharkonBeam2] run particle flame ~ ~1 ~ 0.1 0.5 0.1 0.1 10 force

execute as @e[tag=Boss,scores={Time=3..,TimeBoss=0}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run scoreboard players set @s Time 0
execute as @e[tag=Boss,scores={Time=3..}] run kill @e[type=area_effect_cloud,distance=..1]