execute as @a[tag=Playing] run scoreboard players set @s PSS 0
execute as @a[tag=Playing] run scoreboard players operation @s StatDeaths *= Factor10 Math
execute as @a[tag=Playing] run scoreboard players operation @s PSS -= @s StatDeaths
execute as @a[tag=Playing] run scoreboard players operation @s StatDeaths /= Factor10 Math
execute as @a[tag=Playing] run scoreboard players operation @s PSS += @s StatKills
execute as @a[tag=Playing] run scoreboard players operation @s StatCurses *= Factor2 Math
execute as @a[tag=Playing] run scoreboard players operation @s PSS -= @s StatCurses
execute as @a[tag=Playing] run scoreboard players operation @s StatCurses /= Factor2 Math
execute as @a[tag=Playing] run scoreboard players operation @s StatWins *= Factor50 Math
execute as @a[tag=Playing] run scoreboard players operation @s PSS += @s StatWins
execute as @a[tag=Playing] run scoreboard players operation @s StatWins /= Factor50 Math
execute as @a[tag=Playing] run scoreboard players operation @s StatHonor2 *= Factor3 Math
execute as @a[tag=Playing] run scoreboard players operation @s PSS -= @s StatHonor2
execute as @a[tag=Playing] run scoreboard players operation @s StatHonor2 /= Factor3 Math
execute as @a[tag=Playing] run scoreboard players operation @s StatHonor1 *= Factor3 Math
execute as @a[tag=Playing] run scoreboard players operation @s PSS += @s StatHonor1
execute as @a[tag=Playing] run scoreboard players operation @s StatHonor1 /= Factor3 Math
execute as @a[tag=Playing] run scoreboard players operation @s PSS += @s StatOrbs

execute at @e[name=Cursor] if block ~ 7 ~ obsidian as @a[tag=Playing] run tellraw @s ["",{"text":"\nYour Stats:","bold":true,"color":"yellow"},{"text":"\nYou played for ","color":"yellow"},{"score":{"name":"@s","objective":"StatTurns"},"color":"dark_green","bold":"true"},{"text":" turns.\nKilled ","color":"yellow"},{"score":{"name":"@s","objective":"StatKills"},"color":"red","bold":"true"},{"text":" enemies, died ","color":"yellow"},{"score":{"name":"@s","objective":"StatDeaths"},"color":"dark_red","bold":"true"},{"text":" times, and won ","color":"yellow"},{"score":{"name":"@s","objective":"StatWins"},"color":"white","bold":"true"},{"text":" times.\nCasted ","color":"yellow"},{"score":{"name":"@s","objective":"StatCasts"},"color":"dark_purple","bold":"true"},{"text":" spells, read ","color":"yellow"},{"score":{"name":"@s","objective":"StatReads"},"color":"dark_blue","bold":"true"},{"text":" scrolls, quaffed ","color":"yellow"},{"score":{"name":"@s","objective":"StatQuaffs"},"color":"aqua","bold":"true"},{"text":" potions.\nUsed ","color":"yellow"},{"score":{"name":"@s","objective":"StatOrbs"},"color":"dark_gray","bold":"true"},{"text":" Orbs and got cursed ","color":"yellow"},{"score":{"name":"@s","objective":"StatCurses"},"color":"light_purple","bold":"true"},{"text":" times.\nBought ","color":"yellow"},{"score":{"name":"@s","objective":"StatBuys"},"color":"blue","bold":"true"},{"text":" items, gained ","color":"yellow"},{"score":{"name":"@s","objective":"StatHonor1"},"color":"green","bold":"true"},{"text":" Honor, lost ","color":"yellow"},{"score":{"name":"@s","objective":"StatHonor2"},"color":"gold","bold":"true"},{"text":" Honor.\n\nYour Player Skill Score is ","color":"yellow"},{"score":{"name":"@s","objective":"PSS"},"bold":"true","color":"gray"},{"text":"!","color":"yellow"}]

execute at @e[name=Cursor] if block ~ 7 ~ bedrock as @a[tag=Playing] run tellraw @s ["",{"text":"\nGlobal Stats:","bold":true,"color":"gold"},{"text":"\nThe ","color":"gold"},{"text":"Blaze ","color":"red"},{"text":"has been played ","color":"gold"},{"score":{"name":"Global","objective":"StatBlaze"},"color":"dark_red"},{"text":" times;\nThe ","color":"gold"},{"text":"Spirit ","color":"aqua"},{"text":"has been played ","color":"gold"},{"score":{"name":"Global","objective":"StatSpirit"},"color":"dark_aqua"},{"text":" times;\nThe ","color":"gold"},{"text":"Evoker ","color":"dark_purple"},{"text":"has been played ","color":"gold"},{"score":{"name":"Global","objective":"StatEvoker"},"color":"light_purple"},{"text":" times.\nEveryone lost ","color":"gold"},{"score":{"name":"Global","objective":"StatDeaths"},"color":"green"},{"text":" times, and won ","color":"gold"},{"score":{"name":"Global","objective":"StatWins"},"color":"dark_green"},{"text":" times.","color":"gold"}]

execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] run tellraw @s {"text":"\nLast Run:","bold":true,"color":"green"}
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Type LastRun matches 0 run tellraw @s ["",{"text":"Class: ","color":"green"},{"text":"n/a","color":"white"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Type LastRun matches 1 run tellraw @s ["",{"text":"Class: ","color":"green"},{"text":"Blaze","color":"dark_red","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Type LastRun matches 2 run tellraw @s ["",{"text":"Class: ","color":"green"},{"text":"Spirit","color":"aqua","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Type LastRun matches 3 run tellraw @s ["",{"text":"Class: ","color":"green"},{"text":"Evoker","color":"dark_purple","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] run tellraw @s ["",{"text":"Kills: ","color":"green"},{"score":{"name":"Kills","objective":"LastRun"},"color":"red","bold":"true"},{"text":" | Level: ","color":"green"},{"score":{"name":"Level","objective":"LastRun"},"color":"dark_green","bold":"true"},{"text":" | Turns: ","color":"green"},{"score":{"name":"Steps","objective":"LastRun"},"color":"blue","bold":"true"},{"text":"\n"},{"text":"Attack: ","color":"green"},{"score":{"name":"Attack1","objective":"LastRun"},"color":"gold","bold":"true"},{"text":"-","color":"gold","bold":"true"},{"score":{"name":"Attack2","objective":"LastRun"},"color":"gold","bold":"true"},{"text":" | Defense: ","color":"green"},{"score":{"name":"Defense1","objective":"LastRun"},"color":"yellow","bold":"true"},{"text":"-","color":"yellow"},{"score":{"name":"Defense2","objective":"LastRun"},"color":"yellow","bold":"true"},{"text":" | Honor: ","color":"green"},{"score":{"name":"Honor","objective":"LastRun"},"color":"white","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Orb LastRun matches 0 run tellraw @s ["",{"translate":"info.player.13","color":"green"},{"text":"n/a","color":"white"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Orb LastRun matches 1 run tellraw @s ["",{"translate":"info.player.13","color":"green"},{"translate":"info.orb.1a","color":"dark_purple","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Orb LastRun matches 2 run tellraw @s ["",{"translate":"info.player.13","color":"green"},{"translate":"info.orb.2a","color":"yellow","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Orb LastRun matches 3 run tellraw @s ["",{"translate":"info.player.13","color":"green"},{"translate":"info.orb.3a","color":"dark_green","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Orb LastRun matches 4 run tellraw @s ["",{"translate":"info.player.13","color":"green"},{"translate":"info.orb.4a","color":"aqua","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Orb LastRun matches 5 run tellraw @s ["",{"translate":"info.player.13","color":"green"},{"translate":"info.orb.5a","color":"gold","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Orb LastRun matches 6 run tellraw @s ["",{"translate":"info.player.13","color":"green"},{"translate":"info.orb.6a","color":"gray","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Orb LastRun matches 7 run tellraw @s ["",{"translate":"info.player.13","color":"green"},{"translate":"info.orb.7a","color":"dark_red","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Orb LastRun matches 8 run tellraw @s ["",{"translate":"info.player.13","color":"green"},{"translate":"info.orb.8a","color":"dark_blue","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Orb LastRun matches 9 run tellraw @s ["",{"translate":"info.player.13","color":"green"},{"translate":"info.orb.9a","color":"green","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Orb LastRun matches 10 run tellraw @s ["",{"translate":"info.player.13","color":"green"},{"translate":"info.orb.10a","color":"red","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] run tellraw @s ["",{"text":"Curses: ","color":"green"},{"score":{"name":"Curses","objective":"LastRun"},"bold":true,"color":"light_purple"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Floor LastRun matches 0 run tellraw @s ["",{"text":"Floor: ","color":"green"},{"text":"n/a","color":"white"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Floor LastRun matches 1 run tellraw @s ["",{"text":"Floor: ","color":"green"},{"translate":"message.generate.floor1a","color":"dark_green","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Floor LastRun matches 2 run tellraw @s ["",{"text":"Floor: ","color":"green"},{"translate":"message.generate.floor2a","color":"gray","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Floor LastRun matches 3 run tellraw @s ["",{"text":"Floor: ","color":"green"},{"translate":"message.generate.floor3a","color":"red","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Floor LastRun matches 4 run tellraw @s ["",{"text":"Floor: ","color":"green"},{"translate":"message.generate.floor4a","color":"dark_red","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Floor LastRun matches 5 run tellraw @s ["",{"text":"Floor: ","color":"green"},{"translate":"message.generate.floor5a","color":"yellow","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Floor LastRun matches 6 run tellraw @s ["",{"text":"Floor: ","color":"green"},{"translate":"message.generate.floor6a","color":"light_purple","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Floor LastRun matches 7 run tellraw @s ["",{"text":"Floor: ","color":"green"},{"translate":"message.generate.floor7a","color":"gold","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Floor LastRun matches 8 run tellraw @s ["",{"text":"Floor: ","color":"green"},{"translate":"message.generate.floor8a","color":"dark_gray","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Floor LastRun matches 9 run tellraw @s ["",{"text":"Floor: ","color":"green"},{"translate":"message.generate.floor9a","color":"aqua","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Floor LastRun matches 10 run tellraw @s ["",{"text":"Floor: ","color":"green"},{"translate":"message.generate.floor10a","color":"dark_purple","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] if score Floor LastRun matches 11 run tellraw @s ["",{"text":"Floor: ","color":"green"},{"translate":"message.generate.floor11a","color":"dark_blue","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ diamond_block as @a[tag=Playing] run tellraw @s ["",{"text":"\nThe Run Skill Score is ","color":"green"},{"score":{"name":"RSS","objective":"LastRun"},"bold":true,"color":"gray"},{"text":"!","color":"green"}]

execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] run tellraw @s {"text":"\nBest Run:","bold":true,"color":"dark_green"}
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Type BestRun matches 0 run tellraw @s ["",{"text":"Class: ","color":"dark_green"},{"text":"n/a","color":"white"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Type BestRun matches 1 run tellraw @s ["",{"text":"Class: ","color":"dark_green"},{"text":"Blaze","color":"dark_red","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Type BestRun matches 2 run tellraw @s ["",{"text":"Class: ","color":"dark_green"},{"text":"Spirit","color":"aqua","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Type BestRun matches 3 run tellraw @s ["",{"text":"Class: ","color":"dark_green"},{"text":"Evoker","color":"dark_purple","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] run tellraw @s ["",{"text":"Kills: ","color":"dark_green"},{"score":{"name":"Kills","objective":"BestRun"},"color":"red","bold":"true"},{"text":" | Level: ","color":"dark_green"},{"score":{"name":"Level","objective":"BestRun"},"color":"green","bold":"true"},{"text":" | Turns: ","color":"dark_green"},{"score":{"name":"Steps","objective":"BestRun"},"color":"blue","bold":"true"},{"text":"\n"},{"text":"Attack: ","color":"dark_green"},{"score":{"name":"Attack1","objective":"BestRun"},"color":"gold","bold":"true"},{"text":"-","color":"gold","bold":"true"},{"score":{"name":"Attack2","objective":"BestRun"},"color":"gold","bold":"true"},{"text":" | Defense: ","color":"dark_green"},{"score":{"name":"Defense1","objective":"BestRun"},"color":"yellow","bold":"true"},{"text":"-","color":"yellow"},{"score":{"name":"Defense2","objective":"BestRun"},"color":"yellow","bold":"true"},{"text":" | Honor: ","color":"dark_green"},{"score":{"name":"Honor","objective":"BestRun"},"color":"white","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Orb BestRun matches 0 run tellraw @s ["",{"translate":"info.player.13","color":"dark_green"},{"text":"n/a","color":"white"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Orb BestRun matches 1 run tellraw @s ["",{"translate":"info.player.13","color":"dark_green"},{"translate":"info.orb.1a","color":"dark_purple","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Orb BestRun matches 2 run tellraw @s ["",{"translate":"info.player.13","color":"dark_green"},{"translate":"info.orb.2a","color":"yellow","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Orb BestRun matches 3 run tellraw @s ["",{"translate":"info.player.13","color":"dark_green"},{"translate":"info.orb.3a","color":"dark_dark_green","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Orb BestRun matches 4 run tellraw @s ["",{"translate":"info.player.13","color":"dark_green"},{"translate":"info.orb.4a","color":"aqua","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Orb BestRun matches 5 run tellraw @s ["",{"translate":"info.player.13","color":"dark_green"},{"translate":"info.orb.5a","color":"gold","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Orb BestRun matches 6 run tellraw @s ["",{"translate":"info.player.13","color":"dark_green"},{"translate":"info.orb.6a","color":"gray","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Orb BestRun matches 7 run tellraw @s ["",{"translate":"info.player.13","color":"dark_green"},{"translate":"info.orb.7a","color":"dark_red","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Orb BestRun matches 8 run tellraw @s ["",{"translate":"info.player.13","color":"dark_green"},{"translate":"info.orb.8a","color":"dark_blue","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Orb BestRun matches 9 run tellraw @s ["",{"translate":"info.player.13","color":"dark_green"},{"translate":"info.orb.9a","color":"dark_green","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Orb BestRun matches 10 run tellraw @s ["",{"translate":"info.player.13","color":"dark_green"},{"translate":"info.orb.10a","color":"red","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] run tellraw @s ["",{"text":"Curses: ","color":"dark_green"},{"score":{"name":"Curses","objective":"BestRun"},"bold":true,"color":"light_purple"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Floor BestRun matches 0 run tellraw @s ["",{"text":"Floor: ","color":"dark_green"},{"text":"n/a","color":"white"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Floor BestRun matches 1 run tellraw @s ["",{"text":"Floor: ","color":"dark_green"},{"translate":"message.generate.floor1a","color":"dark_green","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Floor BestRun matches 2 run tellraw @s ["",{"text":"Floor: ","color":"dark_green"},{"translate":"message.generate.floor2a","color":"gray","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Floor BestRun matches 3 run tellraw @s ["",{"text":"Floor: ","color":"dark_green"},{"translate":"message.generate.floor3a","color":"red","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Floor BestRun matches 4 run tellraw @s ["",{"text":"Floor: ","color":"dark_green"},{"translate":"message.generate.floor4a","color":"dark_red","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Floor BestRun matches 5 run tellraw @s ["",{"text":"Floor: ","color":"dark_green"},{"translate":"message.generate.floor5a","color":"yellow","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Floor BestRun matches 6 run tellraw @s ["",{"text":"Floor: ","color":"dark_green"},{"translate":"message.generate.floor6a","color":"light_purple","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Floor BestRun matches 7 run tellraw @s ["",{"text":"Floor: ","color":"dark_green"},{"translate":"message.generate.floor7a","color":"gold","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Floor BestRun matches 8 run tellraw @s ["",{"text":"Floor: ","color":"dark_green"},{"translate":"message.generate.floor8a","color":"dark_gray","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Floor BestRun matches 9 run tellraw @s ["",{"text":"Floor: ","color":"dark_green"},{"translate":"message.generate.floor9a","color":"aqua","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Floor BestRun matches 10 run tellraw @s ["",{"text":"Floor: ","color":"dark_green"},{"translate":"message.generate.floor10a","color":"dark_purple","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] if score Floor BestRun matches 11 run tellraw @s ["",{"text":"Floor: ","color":"dark_green"},{"translate":"message.generate.floor11a","color":"dark_blue","bold":"true"}]
execute at @e[name=Cursor] if block ~ 7 ~ emerald_block as @a[tag=Playing] run tellraw @s ["",{"text":"\nThe Run Skill Score is ","color":"dark_green"},{"score":{"name":"RSS","objective":"BestRun"},"bold":true,"color":"gray"},{"text":"!","color":"dark_green"}]