#Reset field
clear @a beacon
tp @a[tag=Playing] 14 4 -2
scoreboard players set CurrentFloor MathCurrent 1
scoreboard players set CurrentFloor Math 1
fill 0 7 4 76 11 80 air
kill @e[tag=RoomSpecial]
kill @e[tag=Enemy]
kill @e[tag=Shopkeeper]
kill @e[type=item]
kill @e[name=BossStand]
kill @e[name=BeaconPoint]
function woods:reset1
fill 7 6 73 69 6 11 black_concrete replace yellow_stained_glass
function woods:grid1
function woods:layout1
function woods:room1
function math:shop

#Reset special room armorstands
execute at @e[name=Room] if block ~ 7 ~ white_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"CraftRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ orange_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"SmiteRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ magenta_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"EnchantRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ light_blue_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"BrewingRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ gray_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"CutRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ light_gray_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"EndRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ cyan_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"MineRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ cyan_terracotta run data merge block ~ 8 ~ {LootTable:"loot:mine"}
execute at @e[name=Room] if block ~ 7 ~ lime_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"SummonRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ pink_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"CombineRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ granite run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"TradeRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ polished_granite run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"CompressRoom\"",Invisible:1}
execute as @e[name=Room] at @s if block ~ 7 ~ yellow_terracotta run function math:shop2

#Fill assets
fill 7 7 73 69 14 11 black_concrete replace air
fill 7 7 73 69 14 11 black_concrete replace barrier
fill 7 7 73 69 14 11 black_concrete replace black_stained_glass
fill 7 7 73 69 14 11 black_concrete replace white_stained_glass
fill 7 7 73 69 14 11 black_concrete replace purple_stained_glass
execute at @e[tag=StartRoom] run fill ~-3 8 ~-3 ~3 14 ~3 barrier replace black_concrete
fill 7 6 73 69 6 11 black_concrete replace air
fill 6 7 11 6 14 73 black_concrete replace air
fill 6 14 74 69 7 74 black_concrete replace air
fill 70 14 74 70 7 11 black_concrete replace air
fill 70 14 10 6 7 10 black_concrete replace air
tag @e[tag=StartRoom] add Discovered
tag @e[tag=StartRoom] add Open

execute at @e[name=Room] if block ~ 9 ~ #path:statue run setblock ~ 8 ~ barrier
execute at @e[name=Room] if block ~ 9 ~ spruce_button run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"WrathStatue\"",Invisible:1,Small:1}
execute at @e[name=Room] if block ~ 9 ~ spruce_pressure_plate run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"GluttonyStatue\"",Invisible:1,Small:1}
execute at @e[name=Room] if block ~ 9 ~ birch_button run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"GreedStatue\"",Invisible:1,Small:1}
execute at @e[name=Room] if block ~ 9 ~ acacia_pressure_plate run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"EnvyStatue\"",Invisible:1,Small:1}
execute at @e[name=Room] if block ~ 9 ~ jungle_pressure_plate run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"PrideStatue\"",Invisible:1,Small:1}
execute at @e[name=Room] if block ~ 9 ~ birch_pressure_plate run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"DesireStatue\"",Invisible:1,Small:1}
execute at @e[name=Room] if block ~ 9 ~ dark_oak_pressure_plate run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"SlothStatue\"",Invisible:1,Small:1}

execute at @e[tag=RoomSpecial,nbt={Small:1b}] run fill ~-2 7 ~-2 ~2 7 ~2 mossy_cobblestone replace mossy_cobblestone

#Spawn monsters
execute as @e[name=Room,tag=!Discovered,tag=!BossRoom,tag=!Shopkeep,limit=35] at @s unless block ~ 7 ~ #path:use unless entity @e[tag=Enemy,distance=..7] run function math:spawn1
execute as @e[tag=Enemy] at @s run tp @s ~ ~ ~ facing entity @e[tag=Enemy,limit=1,sort=random]
tag @e[tag=Enemy] add Sleep

#Summon items
execute as @e[name=Room,tag=!BossRoom,tag=!Discovered,tag=!Shopkeep] at @s unless block ~ 7 ~ #path:use run tag @s add Healing
execute as @e[name=Room,tag=Healing,sort=random,limit=1] at @s run function math:spawnitem2
tag @e[name=Room] remove Healing

execute as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=5,sort=random,tag=!Shopkeep] at @s run function math:spawnfood
execute as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=8,sort=random,tag=!Shopkeep] at @s run function math:spawnitem
execute as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=3,sort=random,tag=!Shopkeep] at @s run function math:spawncombat1

function math:changeitem1
execute at @e[tag=StartRoom] run tp @e[tag=Player] ~ 8 ~
execute at @e[tag=StartRoom] run tp @e[type=armor_stand,name=Start] ~ 8 ~

execute if entity @e[tag=Player,type=blaze] if entity @a[tag=Playing,scores={SceneBlaze=..0}] run tag @a[tag=Playing] add CutScene
execute if entity @e[tag=Player,type=blaze] if entity @a[tag=Playing,scores={SceneBlaze=..0}] run tag @a[tag=Playing] add TalkBlaze1
execute if entity @e[tag=Player,type=blaze] if entity @a[tag=Playing,scores={SceneBlaze=..0}] run scoreboard players set Blaze1 Talk 0

execute if entity @e[tag=Player,type=stray] if entity @a[tag=Playing,scores={SceneSpirit=..0}] run tag @a[tag=Playing] add CutScene
execute if entity @e[tag=Player,type=stray] if entity @a[tag=Playing,scores={SceneSpirit=..0}] run tag @a[tag=Playing] add TalkSpirit1
execute if entity @e[tag=Player,type=stray] if entity @a[tag=Playing,scores={SceneSpirit=..0}] run scoreboard players set Spirit1 Talk 0

execute if entity @e[tag=Player,type=evoker] if entity @a[tag=Playing,scores={SceneEvoker=..0}] run tag @a[tag=Playing] add CutScene
execute if entity @e[tag=Player,type=evoker] if entity @a[tag=Playing,scores={SceneEvoker=..0}] run tag @a[tag=Playing] add TalkEvoker1
execute if entity @e[tag=Player,type=evoker] if entity @a[tag=Playing,scores={SceneEvoker=..0}] run scoreboard players set Evoker1 Talk 0

title @a[tag=Playing,tag=!CutScene] title {"translate":"message.generate.floor1a","color":"dark_green","bold":"true"}
title @a[tag=Playing,tag=!CutScene] subtitle {"translate":"message.generate.floor1b","color":"green","italic":"true"}
give @a[tag=Playing,tag=!CutScene] feather{Main:1b,display:{Lore:['{"text":"§7§lMain Action"}','{"text":"§7Use on a free tile to move there."}'],Name:"{\"translate\":\"inv.main.move\",\"italic\":\"false\",\"bold\":\"true\"}"}}
give @a[tag=Playing,tag=!CutScene] stick{Main:1b,display:{Lore:['{"text":"§7§lMain Action"}','{"text":"§7Use on an entity to get its stats."}','{"text":"§7Use on a nearby item to grab it."}','{"text":"§7Use on a nearby utility to use it."}'],Name:"{\"translate\":\"inv.main.use\",\"italic\":\"false\",\"bold\":\"true\"}"}}
give @a[tag=Playing,tag=!CutScene] firework_star{Main:1b,display:{Lore:['{"text":"§7§lMain Action"}','{"text":"§7Use on a nearby enemy to attack it."}'],Name:"{\"translate\":\"inv.main.attack\",\"italic\":\"false\",\"bold\":\"true\"}"}}
execute at @e[tag=Player] run tp @a[tag=Playing,tag=!CutScene] ~ 15 ~
execute at @e[tag=Player] run tp @a[tag=!Playing] ~ 15 ~