#Attack direct
execute as @e[type=shulker,name=Cursor] at @s positioned ~ ~0.5 ~ as @e[tag=Enemy,distance=..1,tag=!Etheral] at @s align xyz positioned ~0.5 ~-0.5 ~0.5 if entity @e[distance=..2,tag=Player,limit=1] run tag @s add PlayerHit

execute as @e[type=shulker,name=Cursor] at @s positioned ~ ~0.5 ~ as @e[tag=Enemy,distance=..1] at @s align xyz positioned ~0.5 ~-0.5 ~0.5 if entity @e[distance=..2,tag=Player,limit=1,tag=P_Etheral] run tag @s add PlayerHit

execute as @e[type=shulker,name=Cursor] at @s positioned ~ ~0.5 ~ as @e[tag=Enemy,distance=..1,tag=Etheral] run title @a[tag=Playing] actionbar {"translate":"main.error13","color":"red"}

execute as @e[tag=PlayerHit] at @e[tag=Player] run tp @e[tag=Player] ~ ~ ~ facing entity @s
execute as @e[tag=PlayerHit] run function math:attack1
scoreboard players set @e[tag=PlayerHit] Defense 0
execute as @e[tag=PlayerHit] unless score AttackWeaponY Math matches 11..15 unless score @e[tag=Player,limit=1] ListEnchant matches 9 run function math:defense1
execute as @e[tag=PlayerHit] run scoreboard players set AttackSpeed Math 0
execute as @e[tag=PlayerHit] run scoreboard players set MoveSpeed Math 0

#Effect multipliers
execute as @e[tag=PlayerHit] if score @s EffectInjured matches 1.. run scoreboard players operation @s Damage *= Factor2 Math
execute as @e[tag=PlayerHit] if score Surge ListBuff matches 1.. run scoreboard players operation @s Damage *= Factor2 Math
execute as @e[tag=PlayerHit] if entity @e[tag=Player,tag=RageMode] run scoreboard players operation @s Damage *= Factor2 Math
execute as @e[tag=PlayerHit] if score Weakness ListBuff matches 1.. run scoreboard players operation @s Damage /= Factor2 Math

execute as @e[tag=PlayerHit] if score Power ListBuff matches 1.. run scoreboard players operation @s Damage *= Factor3 Math
execute as @e[tag=PlayerHit] if score Power ListBuff matches 1.. run scoreboard players operation @s Damage /= Factor2 Math

execute as @e[tag=PlayerHit] if score Orb Math matches 5 run scoreboard players operation @s Damage *= Factor4 Math
execute as @e[tag=PlayerHit] if score Orb Math matches 5 run scoreboard players operation @s Damage /= Factor3 Math

execute as @e[tag=PlayerHit] if score Orb Math matches 6 run scoreboard players operation @s Damage *= Factor3 Math
execute as @e[tag=PlayerHit] if score Orb Math matches 6 run scoreboard players operation @s Damage /= Factor4 Math

execute as @e[tag=PlayerHit,tag=Enraged] if entity @e[tag=Player,tag=P_rageemblem] run scoreboard players operation @s Damage *= Factor3 Math
execute as @e[tag=PlayerHit,tag=Enraged] if entity @e[tag=Player,tag=P_rageemblem] run scoreboard players operation @s Damage /= Factor2 Math

execute as @e[tag=PlayerHit] if score Revenge ListBuff matches 1.. run scoreboard players operation @s Damage *= Factor5 Math
execute as @e[tag=PlayerHit] if score Revenge ListBuff matches 1.. run scoreboard players operation @s Damage /= Factor4 Math

execute as @e[tag=PlayerHit] if score @e[tag=Player,limit=1] ListEnchant matches 9 if score AttackWeaponY Math matches 11..15 run scoreboard players operation @s Damage *= Factor5 Math
execute as @e[tag=PlayerHit] if score @e[tag=Player,limit=1] ListEnchant matches 9 if score AttackWeaponY Math matches 11..15 run scoreboard players operation @s Damage /= Factor4 Math

execute as @e[tag=PlayerHit,tag=Unaware] if entity @e[tag=Player,tag=P_blade] run scoreboard players operation @s Damage *= Factor3 Math
execute as @e[tag=PlayerHit,tag=Unaware] if entity @e[tag=Player,tag=P_blade] run scoreboard players operation @s Damage /= Factor2 Math

execute as @e[tag=PlayerHit] if score Orb Math matches 5 run function main:random/miss

execute as @e[tag=PlayerHit] run scoreboard players operation @s Damage -= @s Defense
execute as @e[tag=PlayerHit] if score @s Damage matches ..0 run scoreboard players set @s Damage 0
execute as @e[tag=PlayerHit,name=Render-XL] if entity @e[name=Generator,type=armor_stand] run scoreboard players set @s Damage 0
execute as @e[tag=PlayerHit] run scoreboard players operation @s Health -= @s Damage
execute as @e[tag=PlayerHit] at @s run particle sweep_attack ~ ~ ~ 0 0 0 0.1 10 force @a[tag=PAR]
execute as @e[tag=PlayerHit] run tag @a add Click
execute as @e[tag=PlayerHit,tag=!Miss] run effect give @s wither 2 0 true
execute as @e[tag=PlayerHit,limit=1] run scoreboard players add AttackSpeed Math 10
execute as @e[tag=PlayerHit] if score Metal ListBuff matches 1.. run scoreboard players add AttackSpeed Math 10
execute as @e[tag=PlayerHit] if score AttackWeapon Math matches 2.. run scoreboard players add AttackSpeed Math 10
execute as @e[tag=PlayerHit,tag=!Miss] run scoreboard players reset @s EffectFrozen
execute as @e[tag=PlayerHit,tag=!Miss] run tag @s remove Calm
execute as @e[tag=PlayerHit,tag=!Miss] if score @e[tag=Player,limit=1] ListEnchant matches 2 run scoreboard players operation @e[tag=Player] Magic += CurrentFloor Math
execute as @e[tag=PlayerHit,tag=!Miss] if score @e[tag=Player,limit=1] ListEnchant matches 2 run scoreboard players operation @e[tag=Player] Magic += CurrentFloor Math
execute as @e[tag=PlayerHit,tag=!Miss] if score @e[tag=Player,limit=1] ListEnchant matches 5 run scoreboard players operation @e[tag=Player] Health += CurrentFloor Math
execute as @e[tag=PlayerHit,tag=!Miss] if score @e[tag=Player,limit=1] ListEnchant matches 7 run scoreboard players operation @e[tag=Player] Experience += CurrentFloor Math
execute as @e[tag=PlayerHit,tag=!Miss] if score @e[tag=Player,limit=1] ListEnchant matches 7 run scoreboard players operation @e[tag=Player] Experience += CurrentFloor Math
execute as @e[tag=PlayerHit,tag=!Miss] if score @e[tag=Player,limit=1] ListEnchant matches 1.. run function math:enchant
execute as @e[tag=PlayerHit,tag=!Miss] run tag @s remove SoulDrain
execute as @e[tag=PlayerHit] if score Surge ListBuff matches 1.. as @e[tag=Player] run scoreboard players operation @s Health -= CurrentFloor Math
execute as @e[tag=PlayerHit] if score Surge ListBuff matches 1.. as @e[tag=Player] run scoreboard players operation @s Health -= CurrentFloor Math
execute as @e[tag=PlayerHit] if score Surge ListBuff matches 1.. as @e[tag=Player] run scoreboard players operation @s Health -= CurrentFloor Math
execute as @e[tag=PlayerHit] if score Electrified ListBuff matches 1.. as @e[tag=Player] run scoreboard players operation @s Health -= CurrentFloor Math
execute as @e[tag=PlayerHit] if score Electrified ListBuff matches 1.. as @e[tag=Player] run scoreboard players operation @s Health -= CurrentFloor Math
execute as @e[tag=PlayerHit] if score Electrified ListBuff matches 1.. as @e[tag=Player] run scoreboard players operation @s Health -= CurrentFloor Math
execute at @e[tag=PlayerHit,type=spider,tag=!Miss] run playsound minecraft:entity.spider.hurt ambient @a
execute as @e[tag=PlayerHit,type=spider,tag=!Miss] at @s run particle dust 1 0 0 1 ~ ~ ~ 0.4 0.4 0.4 0.1 100 force @a[tag=PAR]
execute at @e[tag=PlayerHit,type=wither_skeleton,tag=!Miss] run playsound minecraft:entity.wither_skeleton.hurt ambient @a
execute as @e[tag=PlayerHit,type=wither_skeleton,tag=!Miss] at @s run particle dust 1 0 0 1 ~ ~ ~ 0.4 0.4 0.4 0.1 100 force @a[tag=PAR]
execute at @e[tag=PlayerHit,type=armor_stand,tag=!Miss] run playsound minecraft:entity.blaze.hurt ambient @a
execute as @e[tag=PlayerHit,tag=Boss,tag=!Miss] at @s run particle dust 1 0 0 1 ~ ~ ~ 0.7 0.7 0.7 0.1 100 force @a[tag=PAR]
execute as @e[tag=PlayerHit,tag=Boss,tag=!Miss,tag=Invisible] at @s run particle cloud ~ ~ ~ 0.5 0.5 0.5 0.01 50 force @a[tag=PAR]
execute as @e[tag=PlayerHit,tag=Boss,tag=!Miss] run tag @s remove Invisible
execute as @e[tag=PlayerHit,tag=!Boss,type=illusioner,tag=!Clone] at @s run function enemy:illusioner
execute as @e[tag=PlayerHit,tag=!Boss,type=witch,tag=!Lightning] at @s run function enemy:witch
execute as @e[tag=PlayerHit,tag=!Boss,type=endermite,scores={Health=1..}] at @s run function enemy:endermite
execute as @e[tag=PlayerHit,tag=!Boss,type=creeper,tag=!Explode] at @s run function enemy:creeper
execute as @e[tag=PlayerHit,tag=Boss,type=enderman] at @s run tag @s add Teleportation2
execute as @e[tag=PlayerHit] run scoreboard players reset Invisibility ListBuff
execute as @e[tag=PlayerHit] run scoreboard players reset Cloaked ListBuff
execute as @e[tag=PlayerHit] if score TutorialTime Time matches 1361 run tag @a remove STOP
execute as @e[tag=PlayerHit,tag=Finale,type=stray] run tag @s add Poof
execute as @e[tag=PlayerHit,tag=Finale,name=Dionae] run tag @s add Poof

execute as @e[tag=PlayerHit] run title @a[tag=Playing] actionbar ["",{"translate":"main.damage.3"},{"score":{"name":"@e[tag=PlayerHit,limit=1]","objective":"Damage"},"color":"gold"},{"translate":"main.damage.2"}]
execute as @e[tag=PlayerHit,tag=Miss] run title @a[tag=Playing] actionbar ["",{"translate":"main.damage.playermiss"},{"translate":"main.damage.miss","color":"red"}]
execute as @e[tag=PlayerHit,name=Render-XL] if entity @e[name=Generator,type=armor_stand] run title @a[tag=Playing] actionbar ["",{"translate":"main.damage.invulnerable","color":"dark_red"}]
tag @e[tag=PlayerHit,tag=Miss] remove Miss
execute as @e[tag=PlayerHit] run function main:turnend

execute as @e[type=shulker,name=Cursor] at @s positioned ~ ~0.5 ~ as @e[tag=Shopkeeper,distance=..1] at @s align xyz positioned ~0.5 ~-0.5 ~0.5 if entity @e[distance=..2,tag=Player,limit=1] run tag @s add PlayerHit
execute as @e[tag=PlayerHit,tag=Shopkeeper,tag=!Enemy] run tellraw @a[tag=Playing] ["",{"translate":"message.shopkeeper.base"},{"translate":"message.shopkeeper.rage","color":"dark_red"}]
execute as @e[tag=PlayerHit,tag=Shopkeeper,tag=!Enemy] run tag @e[type=item,limit=1,nbt={Item:{tag:{Shop:1b}}},sort=random] add ShopKill
execute as @e[tag=PlayerHit,tag=Shopkeeper,tag=!Enemy] at @e[tag=ShopKill] run particle flame ~ ~ ~ 0.3 0.3 0.3 0.1 100 force @a[tag=PAR]
execute as @e[tag=PlayerHit,tag=Shopkeeper,tag=!Enemy] run kill @e[tag=ShopKill]
execute as @e[tag=PlayerHit,tag=Shopkeeper,tag=!Enemy] run scoreboard players set @s TimeShopAttack 0
execute as @e[tag=PlayerHit,tag=Shopkeeper,tag=!Enemy] run tag @a[tag=Playing] add Click
execute as @e[tag=PlayerHit,tag=Shopkeeper,tag=!Enemy] run function main:turnend