#Turn bonuses
scoreboard players operation New Honor = @e[tag=Player,limit=1] Honor
scoreboard players operation New Honor -= Old Honor
execute if score New Honor matches ..-1 run scoreboard players operation @a[tag=Playing] StatHonor2 -= New Honor
execute if score New Honor matches 1.. run scoreboard players operation @a[tag=Playing] StatHonor1 += New Honor
scoreboard players operation Old Honor = @e[tag=Player,limit=1] Honor

scoreboard players add @a[tag=Playing,tag=!Lobby] StatTurns 1
scoreboard players add Steps TimeSteps 1
execute unless entity @e[tag=SoulDrain] run scoreboard players add @e[tag=Player,tag=!Overcharge] Magic 1
execute if score Orb Math matches 1 unless entity @e[tag=SoulDrain] run scoreboard players add @e[tag=Player,tag=!Overcharge] Magic 1
scoreboard players add @e[tag=Friend,scores={Health=..24}] Health 1

scoreboard players add @e[type=armor_stand,name=ToolBomb] TimeBoss 1
execute at @e[type=armor_stand,name=ToolBomb,scores={TimeBoss=5..}] run particle explosion ~ ~2 ~ 0.4 0.4 0.4 0.1 10 force @a[tag=PAR]
execute at @e[type=armor_stand,name=ToolBomb,scores={TimeBoss=5..}] run particle smoke ~ ~1 ~ 0.2 0.2 0.2 0.1 500 force @a[tag=PAR]
execute at @e[type=armor_stand,name=ToolBomb,scores={TimeBoss=5..}] run playsound entity.dragon_fireball.explode ambient @a ~ ~ ~
execute at @e[type=armor_stand,name=ToolBomb,scores={TimeBoss=5..}] run scoreboard players remove @e[tag=Enemy,distance=..3] Health 30
execute at @e[type=armor_stand,name=ToolBomb,scores={TimeBoss=5..}] run scoreboard players remove @e[tag=Player,distance=..3,tag=!P_Buster] Health 30
execute as @e[type=armor_stand,name=ToolBomb,scores={TimeBoss=5..}] run kill @s

#Orb 2: half magic
execute if score Orb Math matches 2 run summon area_effect_cloud ~ ~ ~ {CustomName:"\"NoMagic\"",Tags:["Orb"]}
execute if score Orb Math matches 2 run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Magic\"",Tags:["Orb"]}
execute if score Orb Math matches 2 run tag @e[type=area_effect_cloud,tag=Orb,distance=..1,sort=random,limit=1] add Choose2
execute if score Orb Math matches 2 if entity @e[tag=Orb,distance=..1,name=NoMagic,tag=Choose2] run scoreboard players remove @e[tag=Player,tag=!Overcharge] Magic 1

execute if score Drain ListBuff matches 1.. run scoreboard players remove Food ListBuff 2
execute if score Regeneration ListBuff matches 1.. run scoreboard players add @e[tag=Player] Health 3
execute if score Enchanted ListBuff matches 1.. run scoreboard players add @e[tag=Player] Magic 10
execute if score Healing ListBuff matches 1.. run scoreboard players add @e[tag=Player] Health 25
execute if score Replenishing ListBuff matches 1.. run scoreboard players add Food ListBuff 5
execute if score Replenishing ListBuff matches 1.. run scoreboard players add @e[tag=Player] Magic 1
execute if score Replenishing ListBuff matches 1.. run scoreboard players add @e[tag=Player] Health 2
tag @e[tag=Enemy,tag=AmokHit] remove AmokHit

#Secrets? Probably!
execute if score CurrentFloor MathCurrent matches 1 at @e[type=armor_stand,tag=Secret1] unless block ~-1 8 ~ cobweb unless block ~1 8 ~ cobweb unless block ~ 8 ~-1 cobweb unless block ~ 8 ~1 cobweb if block ~ 8 ~ spruce_trapdoor run particle cloud ~ 8.5 ~ 0.3 0.2 0.3 0.04 10 force
execute if score CurrentFloor MathCurrent matches 1 at @e[type=armor_stand,tag=Secret1] unless block ~-1 8 ~ cobweb unless block ~1 8 ~ cobweb unless block ~ 8 ~-1 cobweb unless block ~ 8 ~1 cobweb if block ~ 8 ~ spruce_trapdoor run setblock ~ 8 ~ structure_void destroy

execute if entity @a[tag=Playing,tag=Lobby] run scoreboard players set Food ListBuff 250

scoreboard players add @e[tag=Friend,type=ocelot] TimeFriend 1
scoreboard players add @e[tag=Friend,type=parrot] TimeFriend 1
scoreboard players add @e[tag=Friend,type=chicken] TimeFriend 1
execute as @e[tag=Friend,type=ocelot,scores={TimeFriend=20..}] at @s run particle heart ~ ~ ~ 0.5 0.5 0.5 0.1 10 force @a[tag=PAR]
execute as @e[tag=Friend,type=ocelot,scores={TimeFriend=20..}] run scoreboard players add @e[tag=Player] Health 5
execute as @e[tag=Friend,type=ocelot,scores={TimeFriend=20..}] run tag @e[tag=Player] remove RageMode
execute as @e[tag=Friend,type=ocelot,scores={TimeFriend=20..}] run scoreboard players set @s TimeFriend 0
execute as @e[tag=Friend,type=parrot,scores={TimeFriend=20..}] at @s run particle witch ~ ~ ~ 0.5 0.5 0.5 0.1 10 force @a[tag=PAR]
execute as @e[tag=Friend,type=parrot,scores={TimeFriend=20..}] run scoreboard players add @e[tag=Player] Magic 10
execute as @e[tag=Friend,type=parrot,scores={TimeFriend=20..}] run scoreboard players set @s TimeFriend 0
execute as @e[tag=Friend,type=chicken,scores={TimeFriend=30..}] at @s run particle cloud ~ ~ ~ 0.5 0.5 0.5 0.1 10 force @a[tag=PAR]
execute at @e[tag=Friend,type=chicken,scores={TimeFriend=30..}] run summon item ~ 8 ~ {Age:-32768,Item:{Count:1,id:"egg",tag:{Food:1b,HideFlags:63,display:{Lore:["§2§lFood","§7A perfectly normal egg.","§7Where did you even get this?"]}}}}
execute as @e[tag=Friend,type=chicken,scores={TimeFriend=30..}] run scoreboard players set @s TimeFriend 0

scoreboard players add @e[tag=fang] Time 1
execute at @e[name=FangPlace,scores={Time=1..}] run summon evoker_fangs ~ ~-0.25 ~
execute at @e[name=FangPlace,scores={Time=1..}] positioned ~ ~-0.5 ~ run scoreboard players remove @e[tag=Player,distance=..1] Health 10
execute as @e[name=FangPlace,scores={Time=1..}] run kill @s
scoreboard players add @e[type=vex] Time 1
kill @e[type=vex,scores={Time=10..}]

execute as @e[tag=SoulDrain] run scoreboard players operation @s Health -= CurrentFloor Math
execute as @e[tag=SoulDrain] run scoreboard players operation @s Health -= CurrentFloor Math
execute as @e[tag=SoulDrain] run scoreboard players operation @e[tag=Player] Health += CurrentFloor Math
execute as @e[tag=SoulDrain] if score @e[tag=Player,limit=1] Magic matches 3.. run scoreboard players remove @e[tag=Player] Magic 3
execute as @e[tag=SoulDrain] if score @e[tag=Player,limit=1] Magic matches ..2 run tag @s remove SoulDrain

#Calculations
execute as @e[tag=Player,tag=!Overcharge] if score @s Magic > @s MagicMax store result score @s Magic run scoreboard players get @s MagicMax
tag @e[tag=Overcharge] remove Overcharge

execute if entity @e[tag=Challenge8,name=LobbySettings] run scoreboard players set @e[tag=Player] Experience 0
execute as @e[tag=Player] if score @s Experience >= @s ExperienceMax run tag @s add LevelUp
execute as @e[tag=LevelUp] run tellraw @a[tag=Playing] ["",{"translate":"message.levelup.1","color":"dark_green","bold":"true"},{"translate":"message.levelup.2","color":"yellow"}]
execute as @e[tag=LevelUp] if entity @a[tag=PAR,tag=Playing] if score @s Experience >= @s ExperienceMax at @s run summon firework_rocket ~ ~1 ~ {LifeTime:0,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:1,Trail:1,Colors:[I;11743532,2437522]}]}}}}
execute as @e[tag=LevelUp] run scoreboard players add @s ExperienceLevel 1
execute as @e[tag=LevelUp] run scoreboard players add @s HealthMax 10
execute as @e[tag=LevelUp] run scoreboard players add @s MagicMax 5
execute as @e[tag=LevelUp] run scoreboard players add @s Health 10
execute as @e[tag=LevelUp] run scoreboard players add @s Magic 5
execute as @e[tag=LevelUp] run scoreboard players set @s Experience 0
execute as @e[tag=LevelUp] run scoreboard players add @s ExperienceMax 20
tag @e[tag=LevelUp] remove LevelUp

execute if score Food ListBuff matches 301.. run scoreboard players set Food ListBuff 300
execute if score Food ListBuff matches ..-51 run scoreboard players set Food ListBuff -50
execute if score Food ListBuff matches 51..250 run scoreboard players add @e[tag=Player,tag=!RageMode] Health 1
execute if score Food ListBuff matches 251..300 run scoreboard players add @e[tag=Player,tag=!RageMode] Health 2
execute if score Food ListBuff matches 51..250 run scoreboard players add @e[tag=Player,tag=!RageMode,scores={ExperienceLevel=16..}] Health 1
execute if score Food ListBuff matches 251..300 run scoreboard players add @e[tag=Player,tag=!RageMode,scores={ExperienceLevel=16..}] Health 2
execute if score Food ListBuff matches -50..1 run scoreboard players remove @e[tag=Player] Health 1
execute if score Food ListBuff matches -49.. run scoreboard players remove Food ListBuff 1
scoreboard players remove @e[tag=Player,tag=RageMode] Health 1

execute if score Food ListBuff matches 251..300 run team modify Hunger suffix {"text":" [Saturated]","color":"blue"}
execute if score Food ListBuff matches 51..250 run team modify Hunger suffix {"text":"","color":"green"}
execute if score Food ListBuff matches 0..50 run team modify Hunger suffix {"text":" [Hungry]","color":"gold"}
execute if score Food ListBuff matches -50..-1 run team modify Hunger suffix {"text":" [Starving]","color":"red"}
execute as @e[tag=Player] if score @s Health > @s HealthMax store result score @s Health run scoreboard players get @s HealthMax

scoreboard players add @e[tag=Shopkeeper,tag=Enemy] TimeShopAttack 1
execute as @e[tag=Shopkeeper,tag=Enemy,scores={TimeShopAttack=3..}] run tag @e[type=item,limit=1,nbt={Item:{tag:{Shop:1b}}},sort=random] add ShopKill
execute as @e[tag=Shopkeeper,tag=Enemy,scores={TimeShopAttack=3..}] at @e[tag=ShopKill] run particle flame ~ ~ ~ 0.3 0.3 0.3 0.1 100 force @a[tag=PAR]
execute as @e[tag=Shopkeeper,tag=Enemy,scores={TimeShopAttack=3..}] run kill @e[tag=ShopKill]
execute as @e[tag=Shopkeeper,tag=Enemy,scores={TimeShopAttack=3..}] run scoreboard players set @s TimeShopAttack 0

execute as @e[tag=Enemy,tag=Sleep] run function path:convert1

#Player Effects
execute if entity @e[tag=Player,scores={Honor=20..}] run scoreboard players set Perma-Blessed ListBuff 2
execute if entity @e[tag=Player,scores={Honor=..-20}] run scoreboard players set Perma-Cursed ListBuff 2

execute if score Perma-Blessed ListBuff matches 1.. run scoreboard players remove Perma-Blessed ListBuff 1
execute if score Perma-Blessed ListBuff matches 0 run scoreboard players reset Perma-Blessed ListBuff
execute if score Perma-Cursed ListBuff matches 1.. run scoreboard players remove Perma-Cursed ListBuff 1
execute if score Perma-Cursed ListBuff matches 0 run scoreboard players reset Perma-Cursed ListBuff

execute if score Blessed ListBuff matches 1.. run function main:bless
execute if score Cursed ListBuff matches 1.. run function main:curse

execute unless score Blessed ListBuff matches 1.. if score Perma-Blessed ListBuff matches 1.. run function main:bless
execute unless score Cursed ListBuff matches 1.. if score Perma-Cursed ListBuff matches 1.. run function main:curse

execute as @e[tag=Player,tag=!P_Buster] at @s unless score Fire-Immune ListBuff matches 1.. unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ magma_block run scoreboard players operation @s Health -= CurrentFloor Math

execute as @e[tag=Player] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_brain_coral_block run scoreboard players set Blinded ListBuff 25
execute as @e[tag=Player] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_bubble_coral_block run scoreboard players set Paralyzed ListBuff 5
execute as @e[tag=Player] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_horn_coral_block run scoreboard players set Electrified ListBuff 25
execute as @e[tag=Player] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_tube_coral_block run scoreboard players set Slowness ListBuff 10
execute as @e[tag=Player] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_fire_coral_block run scoreboard players set Ablaze ListBuff 10

execute as @e[tag=Player,tag=P_Boots] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_brain_coral_block run scoreboard players remove Blinded ListBuff 15
execute as @e[tag=Player,tag=P_Boots] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_bubble_coral_block run scoreboard players remove Paralyzed ListBuff 3
execute as @e[tag=Player,tag=P_Boots] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_horn_coral_block run scoreboard players remove Electrified ListBuff 15
execute as @e[tag=Player,tag=P_Boots] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_tube_coral_block run scoreboard players remove Slowness ListBuff 5
execute as @e[tag=Player,tag=P_Boots] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_fire_coral_block run scoreboard players remove Ablaze ListBuff 5

execute as @e[tag=Player] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_brain_coral_block run setblock ~ ~-1 ~ black_concrete
execute as @e[tag=Player] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_bubble_coral_block run setblock ~ ~-1 ~ magenta_concrete
execute as @e[tag=Player] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_horn_coral_block run setblock ~ ~-1 ~ yellow_concrete
execute as @e[tag=Player] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_tube_coral_block run setblock ~ ~-1 ~ blue_concrete
execute as @e[tag=Player] at @s unless score Levitation ListBuff matches 1.. if block ~ ~-1 ~ dead_fire_coral_block run setblock ~ ~-1 ~ red_concrete

execute if score Fire-Immune ListBuff matches 1.. run scoreboard players remove Fire-Immune ListBuff 1
execute if score Fire-Immune ListBuff matches 0 run scoreboard players reset Fire-Immune ListBuff

execute if score Ablaze ListBuff matches 1.. unless score Fire-Immune ListBuff matches 1.. as @e[tag=Player,tag=!P_Buster] run scoreboard players operation @s Health -= CurrentFloor Math
execute if score Ablaze ListBuff matches 1.. unless score Fire-Immune ListBuff matches 1.. as @e[tag=Player,tag=!P_Buster] run scoreboard players operation @s Health -= CurrentFloor Math
execute if score Ablaze ListBuff matches 1.. unless score Fire-Immune ListBuff matches 1.. as @e[tag=Player,tag=!P_Buster] run scoreboard players remove @s Health 1
execute if score Ablaze ListBuff matches 1.. run scoreboard players remove Ablaze ListBuff 1
execute if score Ablaze ListBuff matches ..0 run scoreboard players reset Ablaze ListBuff

execute if score Metal ListBuff matches 1.. run scoreboard players remove Metal ListBuff 1
execute if score Metal ListBuff matches 0 run scoreboard players reset Metal ListBuff

execute if score Blinded ListBuff matches 1.. run scoreboard players remove Blinded ListBuff 1
execute if score Blinded ListBuff matches 1.. run tag @e[tag=Enemy] add Blind
execute if score Blinded ListBuff matches 0 run tag @e[tag=Enemy] remove Blind
execute if score Blinded ListBuff matches 0 run scoreboard players reset Blinded ListBuff

execute if score Electrified ListBuff matches 1.. run scoreboard players remove Electrified ListBuff 1
execute if score Electrified ListBuff matches 0 run scoreboard players reset Electrified ListBuff

execute if score Levitation ListBuff matches 1.. run scoreboard players remove Levitation ListBuff 1
execute if score Levitation ListBuff matches 0 run scoreboard players reset Levitation ListBuff

execute if score Invisibility ListBuff matches 1.. run scoreboard players remove Invisibility ListBuff 1
execute if score Invisibility ListBuff matches 0 run scoreboard players reset Invisibility ListBuff

execute if score Speed ListBuff matches 1.. run scoreboard players remove Speed ListBuff 1
execute if score Speed ListBuff matches 0 run scoreboard players reset Speed ListBuff

execute if score Barkskin ListBuff matches 1.. run scoreboard players remove Barkskin ListBuff 1
execute if score Barkskin ListBuff matches 0 run scoreboard players reset Barkskin ListBuff

execute if score Surge ListBuff matches 1.. run scoreboard players remove Surge ListBuff 1
execute if score Surge ListBuff matches 0 run scoreboard players reset Surge ListBuff

execute if score Shadowed ListBuff matches 1.. run scoreboard players remove Shadowed ListBuff 1
execute if score Shadowed ListBuff matches 0 run scoreboard players reset Shadowed ListBuff

execute if score Weakness ListBuff matches 1.. run scoreboard players remove Weakness ListBuff 1
execute if score Weakness ListBuff matches 0 run scoreboard players reset Weakness ListBuff

execute if score Poison ListBuff matches 1.. at @e[tag=Player] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Poison0\""}
execute if score Poison ListBuff matches 1.. at @e[tag=Player] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Poison0\""}
execute if score Poison ListBuff matches 1.. at @e[tag=Player] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Poison0\""}
execute if score Poison ListBuff matches 1.. at @e[tag=Player] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Poison0\""}
execute if score Poison ListBuff matches 1.. at @e[tag=Player] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Poison1\""}
execute if score Poison ListBuff matches 1.. at @e[tag=Player] run tag @e[type=area_effect_cloud,distance=..1,limit=1,sort=random] add Choose
execute if score Poison ListBuff matches 1.. as @e[tag=Player] at @s if entity @e[name=Poison1,tag=Choose,distance=..1] run scoreboard players remove @s DamagePoison 1
execute if score Poison ListBuff matches 1.. as @e[tag=Player] run scoreboard players operation @e[tag=Player] Health -= @s DamagePoison
execute if score Poison ListBuff matches 1.. run scoreboard players remove Poison ListBuff 1
execute as @e[tag=Player,scores={DamagePoison=0}] run scoreboard players reset Poison ListBuff
execute if score Poison ListBuff matches 0 run scoreboard players reset Poison ListBuff
execute if score Poison ListBuff matches 0 run scoreboard players reset @e[tag=Player] DamagePoison

execute if score Enchanted ListBuff matches 1.. run scoreboard players remove Enchanted ListBuff 1
execute if score Enchanted ListBuff matches 0 run scoreboard players reset Enchanted ListBuff

execute if score Replenishing ListBuff matches 1.. run tag @e[tag=Player] remove RageMode
execute if score Replenishing ListBuff matches 1.. run scoreboard players remove Replenishing ListBuff 1
execute if score Replenishing ListBuff matches 0 run scoreboard players reset Replenishing ListBuff

execute if score Regeneration ListBuff matches 1.. run tag @e[tag=Player] remove RageMode
execute if score Regeneration ListBuff matches 1.. run scoreboard players remove Regeneration ListBuff 1
execute if score Regeneration ListBuff matches 0 run scoreboard players reset Regeneration ListBuff

execute if score Healing ListBuff matches 1.. run tag @e[tag=Player] remove RageMode
execute if score Healing ListBuff matches 1.. run scoreboard players remove Healing ListBuff 1
execute if score Healing ListBuff matches 0 run scoreboard players reset Healing ListBuff

execute if score Power ListBuff matches 1.. run scoreboard players remove Power ListBuff 1
execute if score Power ListBuff matches 0 run scoreboard players reset Power ListBuff

execute if score Confused ListBuff matches 1.. run scoreboard players remove Confused ListBuff 1
execute if score Confused ListBuff matches 0 run scoreboard players reset Confused ListBuff

execute if score Paralyzed ListBuff matches 1.. run scoreboard players remove Paralyzed ListBuff 1
execute if score Paralyzed ListBuff matches 0 run scoreboard players reset Paralyzed ListBuff

execute if score Mind-Vision ListBuff matches 1.. run effect give @e[tag=Enemy] glowing 99999 0 true
execute if score Mind-Vision ListBuff matches 1.. run scoreboard players remove Mind-Vision ListBuff 1
execute if score Mind-Vision ListBuff matches 0 run effect clear @e[tag=Enemy] glowing
execute if score Mind-Vision ListBuff matches 0 run scoreboard players reset Mind-Vision ListBuff

execute if score Wither ListBuff matches 1.. as @e[tag=Player] run scoreboard players operation @s Health -= CurrentFloor Math
execute if score Wither ListBuff matches 1.. run scoreboard players remove Wither ListBuff 1
execute if score Wither ListBuff matches 0 run scoreboard players reset Wither ListBuff

execute if score Cloaked ListBuff matches 0 if score @e[tag=Player,limit=1] Magic matches ..4 run scoreboard players reset Cloaked ListBuff
execute if score Cloaked ListBuff matches 0 if score @e[tag=Player,limit=1] Magic matches 5.. run scoreboard players add Invisibility ListBuff 1
execute if score Cloaked ListBuff matches 0 if score @e[tag=Player,limit=1] Magic matches 5.. run scoreboard players remove @e[tag=Player] Magic 5

execute if score Rooted ListBuff matches 1.. run scoreboard players remove Rooted ListBuff 1
execute if score Rooted ListBuff matches 0 run scoreboard players reset Rooted ListBuff

execute if score Slowness ListBuff matches 1.. run scoreboard players remove Slowness ListBuff 1
execute if score Slowness ListBuff matches 0 run scoreboard players reset Slowness ListBuff

execute if score Revenge ListBuff matches 1.. run scoreboard players remove Revenge ListBuff 1
execute if score Revenge ListBuff matches 0 run scoreboard players reset Revenge ListBuff

execute if score Drain ListBuff matches 1.. run scoreboard players remove Drain ListBuff 1
execute if score Drain ListBuff matches 0 run scoreboard players reset Drain ListBuff

execute if score Protected ListBuff matches 1.. run scoreboard players remove Protected ListBuff 1
execute if score Protected ListBuff matches 0 run scoreboard players reset Protected ListBuff

#Enemy Effects
execute if entity @e[name=LobbySettings,tag=Challenge2] as @e[tag=Enemy,name=!Dummy] run function main:bless2

execute as @e[scores={EffectFire=1..}] run scoreboard players operation @s Health -= CurrentFloor Math
execute as @e[scores={EffectFire=1..}] run scoreboard players remove @s Health 1
execute as @e[scores={EffectFire=1..}] run scoreboard players remove @s EffectFire 1
execute as @e[scores={EffectFire=0}] run scoreboard players reset @s EffectFire

execute as @e[scores={EffectAffection=1..}] run scoreboard players remove @s EffectAffection 1
execute as @e[scores={EffectAffection=0}] run scoreboard players reset @s EffectAffection

execute as @e[scores={EffectInjured=1..}] run scoreboard players remove @s EffectInjured 1
execute as @e[scores={EffectInjured=0}] run scoreboard players reset @s EffectInjured

execute as @e[scores={EffectConfuse=1..}] run scoreboard players remove @s EffectConfuse 1
execute as @e[scores={EffectConfuse=0}] run scoreboard players reset @s EffectConfuse

execute as @e[scores={EffectPoisoned=1..}] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Poison0\""}
execute as @e[scores={EffectPoisoned=1..}] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Poison0\""}
execute as @e[scores={EffectPoisoned=1..}] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Poison0\""}
execute as @e[scores={EffectPoisoned=1..}] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Poison0\""}
execute as @e[scores={EffectPoisoned=1..}] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Poison1\""}
execute as @e[scores={EffectPoisoned=1..}] at @s run tag @e[type=area_effect_cloud,distance=..1,limit=1,sort=random] add Choose
execute as @e[scores={EffectPoisoned=1..}] at @s if entity @e[name=Poison1,tag=Choose,distance=..1] run scoreboard players remove @s DamagePoison 1
execute as @e[scores={EffectPoisoned=1..}] run scoreboard players operation @s Health -= @s DamagePoison
execute as @e[scores={EffectPoisoned=1..}] run scoreboard players remove @s EffectPoisoned 1
execute as @e[tag=Enemy,scores={DamagePoison=0}] run scoreboard players reset @s EffectPoisoned
execute as @e[scores={EffectPoisoned=0}] run scoreboard players reset @s EffectPoisoned
execute as @e[scores={EffectPoisoned=0}] run scoreboard players reset @s DamagePoison

execute as @e[scores={EffectFrozen=1..}] run scoreboard players remove @s EffectFrozen 1
execute as @e[scores={EffectFrozen=0}] run scoreboard players reset @s EffectFrozen

execute as @e[scores={EffectRooted=1..}] run scoreboard players remove @s EffectRooted 1
execute as @e[scores={EffectRooted=0}] run scoreboard players reset @s EffectRooted

execute as @e[scores={EffectRage=1..}] run scoreboard players remove @s EffectRage 1
execute as @e[scores={EffectRage=0}] run scoreboard players reset @s EffectRage

execute as @e[scores={EffectWeakness=1..}] run scoreboard players remove @s EffectWeakness 1
execute as @e[scores={EffectWeakness=0}] run scoreboard players reset @s EffectWeakness

execute as @e[scores={EffectCursed=1..}] run scoreboard players remove @s EffectCursed 1
execute as @e[scores={EffectCursed=0}] run scoreboard players reset @s EffectCursed

execute as @e[scores={EffectParalyze=1..}] run scoreboard players remove @s EffectParalyze 1
execute as @e[scores={EffectParalyze=0}] run scoreboard players reset @s EffectParalyze

execute as @e[scores={EffectStrength=1..}] run scoreboard players remove @s EffectStrength 1
execute as @e[scores={EffectStrength=0}] run scoreboard players reset @s EffectStrength

execute as @e[scores={EffectFlurry=1..}] run scoreboard players remove @s EffectFlurry 1
execute as @e[scores={EffectFlurry=1..}] run tag @s add double
execute as @e[scores={EffectFlurry=0}] run tag @s remove double
execute as @e[scores={EffectFlurry=0}] run scoreboard players reset @s EffectFlurry

execute as @e[scores={EffectFocus=1..}] run scoreboard players remove @s EffectFocus 1
execute as @e[scores={EffectFocus=0}] run scoreboard players reset @s EffectFocus

execute as @e[tag=Enemy] at @s if block ~ 8 ~ piston_head run scoreboard players remove @s Health 2
execute as @e[tag=Enemy] at @s if block ~ 8 ~ piston_head run tp @s ~ 8 ~

tag @e[tag=Enemy,tag=Unaware] remove Unaware
tag @e[tag=Enemy,scores={EffectAffection=1..}] add Unaware
tag @e[tag=Enemy,scores={EffectConfuse=1..}] add Unaware
tag @e[tag=Enemy,scores={EffectFrozen=1..}] add Unaware
tag @e[tag=Enemy,scores={EffectCursed=1..}] add Unaware
execute if score Invisibility ListBuff matches 1.. run tag @e[tag=Enemy] add Unaware