execute unless entity @a[tag=Tutorial,tag=STOP] run scoreboard players add TutorialTime Time 1

execute if score TutorialTime Time matches 349 run give @a[tag=Playing] feather{Main:1b,display:{Lore:['{"text":"§7§lMain Action"}','{"text":"§7Use on a free tile to move there."}'],Name:"{\"translate\":\"inv.main.move\",\"italic\":\"false\",\"bold\":\"true\"}"}}

execute if score TutorialTime Time matches 600 run give @a[tag=Playing] stick{Main:1b,display:{Lore:['{"text":"§7§lMain Action"}','{"text":"§7Use on an entity to get its stats."}','{"text":"§7Use on a nearby item to grab it."}','{"text":"§7Use on a nearby utility to use it."}'],Name:"{\"translate\":\"inv.main.use\",\"italic\":\"false\",\"bold\":\"true\"}"}}

execute if score TutorialTime Time matches 1360 run give @a[tag=Playing] firework_star{Main:1b,display:{Lore:['{"text":"§7§lMain Action"}','{"text":"§7Use on a nearby enemy to attack it."}'],Name:"{\"translate\":\"inv.main.attack\",\"italic\":\"false\",\"bold\":\"true\"}"}}

execute if score TutorialTime Time matches 1 run tellraw @a[tag=Playing] ["",{"text":"Welcome to Emerald Chambers, a true Minecraft Roguelike! Let's get this thing started!","color":"blue"}]
execute if score TutorialTime Time matches 100 run tellraw @a[tag=Playing] ["",{"text":"First of all, you may have noticed that this is a ","color":"blue"},{"text":"turn-based game. ","bold":"true","color":"blue"},{"text":"If you don't move, nothing moves!","color":"blue"}]
execute if score TutorialTime Time matches 200 run tellraw @a[tag=Playing] {"text":"All actions go in turns. Walking one tile takes 1 turn, attacking anything takes 1 turn, et cetera...","color":"blue"}
execute if score TutorialTime Time matches 300 run tellraw @a[tag=Playing] ["",{"text":"So how do you move?","color":"blue"}]
execute if score TutorialTime Time matches 349 run tellraw @a[tag=Playing] ["",{"text":"Right-click this ","color":"blue"},{"text":"Move","bold":"true"},{"text":" button to walk to the selected tile.\nThis tile is always at the same height, and exactly where you look.","color":"blue"}]
execute if score TutorialTime Time matches 350 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 350 run scoreboard players add TutorialTime Time 1

execute if score TutorialTime Time matches 352 run tellraw @a[tag=Playing] ["",{"text":"Well done! This is the basic of the game: walking around. Walk to the next room!","color":"blue"}]
execute if score TutorialTime Time matches 352 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 352 run fill 68 8 -7 68 9 -7 air destroy
execute if score TutorialTime Time matches 352 run scoreboard players add TutorialTime Time 1

execute if entity @e[tag=Player,x=68,y=7,z=-10,distance=..4] if score TutorialTime Time matches 353 run tag @a remove STOP

execute if score TutorialTime Time matches 354 run tellraw @a[tag=Playing] ["",{"text":"Now, imagine you see an item... like this one!","color":"gold"}]
execute if score TutorialTime Time matches 400 run summon item 68 8 -10 {Age:-32768,Item:{Count:1,id:"oak_planks",tag:{display:{Lore:['{"text":"§6§lCombat Resource"}','{"text":"§7Not very hard, but won\'t break easily."}']}}}}
execute if score TutorialTime Time matches 400 run particle cloud 68 8 -10 0.5 0.5 0.5 0.01 100 force
execute if score TutorialTime Time matches 450 run tellraw @a[tag=Playing] ["",{"text":"Of course, you want it... but how do you get it?","color":"gold"}]
execute if score TutorialTime Time matches 550 run tellraw @a[tag=Playing] ["",{"text":"Very simple: use the ","color":"gold"},{"text":"Use","bold":"true"},{"text":" button!","color":"gold"}]
execute if score TutorialTime Time matches 600 run tellraw @a[tag=Playing] ["",{"text":"This item is used for all check, activate and grab actions... so go ahead.","color":"gold"}]
execute if score TutorialTime Time matches 600 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 600 run scoreboard players add TutorialTime Time 1

execute if score TutorialTime Time matches 602 run tellraw @a[tag=Playing] ["",{"text":"Great! That's button two. Move on, please.","color":"gold"}]
execute if score TutorialTime Time matches 602 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 602 run fill 68 8 -14 68 9 -14 air destroy
execute if score TutorialTime Time matches 602 run scoreboard players add TutorialTime Time 1

execute if entity @e[tag=Player,x=68,y=7,z=-17,distance=..4] if score TutorialTime Time matches 603 run tag @a remove STOP

execute if score TutorialTime Time matches 604 run tellraw @a[tag=Playing] ["",{"text":"So, what happens when you see an enemy?","color":"red"}]
execute if score TutorialTime Time matches 650 run particle cloud 68 8 -17 0.5 1.5 0.5 0.01 100 force
execute if score TutorialTime Time matches 650 run summon armor_stand 68 8 -17 {CustomName:"\"Dummy\"",Tags:["Enemy","Dummy"]}
execute if score TutorialTime Time matches 650 run scoreboard players set @e[name=Dummy,tag=!Secured] Health 25
execute if score TutorialTime Time matches 650 run scoreboard players set @e[name=Dummy,tag=!Secured] AttackMin 2
execute if score TutorialTime Time matches 650 run scoreboard players set @e[name=Dummy,tag=!Secured] AttackMax 3
execute if score TutorialTime Time matches 650 run scoreboard players set @e[name=Dummy,tag=!Secured] DefenseMin 0
execute if score TutorialTime Time matches 650 run scoreboard players set @e[name=Dummy,tag=!Secured] DefenseMax 1
execute if score TutorialTime Time matches 650 run scoreboard players set @e[name=Dummy,tag=!Secured] EffectParalyze 999
execute if score TutorialTime Time matches 650 run tag @e[name=Dummy,tag=!Secured] add Secured
execute if score TutorialTime Time matches 700 run tellraw @a[tag=Playing] ["",{"text":"It may not look like it, but this Dummy will try to eat your soul. Anyway-","color":"red"}]
execute if score TutorialTime Time matches 800 run tellraw @a[tag=Playing] ["",{"text":"Anytime in the dungeon, you should take high care of your ","color":"red"},{"text":"Health","bold":"true"},{"text":". You can see it easily in the ","color":"red"},{"text":"first Bossbar.","italic":"true","color":"red"}]
execute if score TutorialTime Time matches 800 run bossbar set minecraft:health visible true
execute if score TutorialTime Time matches 800 run bossbar set minecraft:health players @a[tag=Playing]
execute if score TutorialTime Time matches 900 run tellraw @a[tag=Playing] ["",{"text":"","color":"red"},{"text":"Health is primary concern!","bold":"true","color":"red"},{"text":" If you reach 0, you die... and have to start over.","color":"red"}]
execute if score TutorialTime Time matches 1000 run tellraw @a[tag=Playing] ["",{"text":"Of course, a bar isn't enough... you want exact numbers, right?","color":"red"}]
execute if score TutorialTime Time matches 1080 run tellraw @a[tag=Playing] ["",{"text":"Right-click ","color":"red"},{"text":"Use","bold":"true"},{"text":" on yourself to see your exact stats!","color":"red"}]
execute if score TutorialTime Time matches 1080 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 1080 run scoreboard players add TutorialTime Time 1
execute if score TutorialTime Time matches 1082 run tellraw @a[tag=Playing] ["",{"text":"This shows your ","color":"red"},{"text":"complete dataset.","bold":"true","color":"red"},{"text":" Always! Nothing misses from here, so if you want to know anything, do this.","color":"red"}]
execute if score TutorialTime Time matches 1180 run tellraw @a[tag=Playing] ["",{"text":"You can use this button on enemies too, to see their health, attack, and defense. Try it on the armor stand.","color":"red"}]
execute if score TutorialTime Time matches 1180 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 1180 run scoreboard players add TutorialTime Time 1
execute if score TutorialTime Time matches 1182 run tellraw @a[tag=Playing] ["",{"text":"Excellent! You now have a decent view of what to expect in combat.","color":"red"}]
execute if score TutorialTime Time matches 1280 run tellraw @a[tag=Playing] ["",{"text":"Now... time to fight. For real.","color":"red"}]
execute if score TutorialTime Time matches 1360 run tellraw @a[tag=Playing] ["",{"text":"Right-click your ","color":"red"},{"text":"Attack","bold":"true"},{"text":" button on any enemy you're next to, straight or diagonal, to attack it!","color":"red"}]
execute if score TutorialTime Time matches 1360 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 1360 run scoreboard players add TutorialTime Time 1
execute if score TutorialTime Time matches 1362 run tellraw @a[tag=Playing] ["",{"text":"Great job, but... attacking takes one turn. Now, it has that turn too.","color":"red"}]
execute if score TutorialTime Time matches 1460 run tellraw @a[tag=Playing] ["",{"text":"And therefore it will immediately attack you back!","color":"red"}]
execute if score TutorialTime Time matches 1500 run scoreboard players set @e[name=Dummy] EffectParalyze 0
execute if score TutorialTime Time matches 1500 run scoreboard players set Paralyzed ListBuff 1
execute if score TutorialTime Time matches 1550 run tellraw @a[tag=Playing] ["",{"text":"Don't worry though. You have more health, options, and healing... just keep hitting him!","color":"red"}]
execute if score TutorialTime Time matches 1550 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 1550 run scoreboard players add TutorialTime Time 1
execute if score TutorialTime Time matches 1551 unless entity @e[name=Dummy,type=armor_stand] run tag @a remove STOP
execute if score TutorialTime Time matches 1552 run tellraw @a[tag=Playing] ["",{"text":"Yup... that's a dead dummy. Now you know basic combat! Time to move on.","color":"red"}]
execute if score TutorialTime Time matches 1552 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 1552 run fill 72 8 -18 72 9 -16 air destroy
execute if score TutorialTime Time matches 1552 run scoreboard players add TutorialTime Time 1

execute if entity @e[tag=Player,x=75,y=7,z=-17,distance=..3] if score TutorialTime Time matches 1553 run tag @a remove STOP

execute if score TutorialTime Time matches 1554 run tellraw @a[tag=Playing] ["",{"text":"Uh oh... an actual enemy!","color":"light_purple"},{"text":" It moves when you do.","bold":"true","color":"light_purple"}]
execute if score TutorialTime Time matches 1554 run summon zombie 76 8 -17 {NoAI:1,CustomName:"\"Test Zombie\"",Tags:["Enemy"]}
execute if score TutorialTime Time matches 1554 run scoreboard players set @e[name="Test Zombie",tag=!Secured] Health 30
execute if score TutorialTime Time matches 1554 run scoreboard players set @e[name="Test Zombie",tag=!Secured] AttackMin 4
execute if score TutorialTime Time matches 1554 run scoreboard players set @e[name="Test Zombie",tag=!Secured] AttackMax 5
execute if score TutorialTime Time matches 1554 run scoreboard players set @e[name="Test Zombie",tag=!Secured] DefenseMin 1
execute if score TutorialTime Time matches 1554 run scoreboard players set @e[name="Test Zombie",tag=!Secured] DefenseMax 2
execute if score TutorialTime Time matches 1554 run tag @e[name="Test Zombie",tag=!Secured] add Secured
execute if score TutorialTime Time matches 1554 run clear @a[tag=Playing] feather
execute if score TutorialTime Time matches 1554 run give @a[tag=Playing] gunpowder{display:{Lore:['{"text":"§7§lMain Action"}','{"text":"§7Temporarily disabled."}'],Name:"{\"translate\":\"inv.main.move\",\"italic\":\"false\",\"bold\":\"true\",\"color\":\"gray\"}"}}
execute if score TutorialTime Time matches 1650 run tellraw @a[tag=Playing] ["",{"text":"To become stronger, you need to defeat enemies, and gain","color":"light_purple"},{"text":"\n Levels.","bold":"true","color":"light_purple"}]
execute if score TutorialTime Time matches 1750 run tellraw @a[tag=Playing] ["",{"text":"This is your","color":"light_purple"},{"text":" Experience","bold":"true"},{"text":". It's easily accessible via the ","color":"light_purple"},{"text":"\n second Bossbar.","italic":"true","color":"light_purple"}]
execute if score TutorialTime Time matches 1750 run bossbar set minecraft:experience visible true
execute if score TutorialTime Time matches 1750 run bossbar set minecraft:experience players @a[tag=Playing]
execute if score TutorialTime Time matches 1820 run tellraw @a[tag=Playing] ["",{"text":"If you fill it up, you gain bonuses like more Health and Magic.","color":"light_purple"}]
execute if score TutorialTime Time matches 1900 run tellraw @a[tag=Playing] ["",{"text":"Speaking of ","color":"light_purple"},{"text":"Magic!","color":"white","bold":"true"},{"text":" This is your third and last ","color":"light_purple"},{"text":"Magic Bossbar.","italic":"true","color":"light_purple"}]
execute if score TutorialTime Time matches 1950 run bossbar set minecraft:magic visible true
execute if score TutorialTime Time matches 1950 run bossbar set minecraft:magic players @a[tag=Playing]
execute if score TutorialTime Time matches 2000 run tellraw @a[tag=Playing] ["",{"text":"For 25 or 50 Magic, you can perform most magic actions.","color":"light_purple"}]
execute if score TutorialTime Time matches 2100 run tellraw @a[tag=Playing] ["",{"text":"Just like Health, Magic doesn't go up anymore after it reached its limit.","color":"light_purple"}]
execute if score TutorialTime Time matches 2200 run tellraw @a[tag=Playing] ["",{"text":"What uses Magic? ...mostly Casts, really... but also some other things.","color":"light_purple"}]
execute if score TutorialTime Time matches 2300 run tellraw @a[tag=Playing] ["",{"text":"This is a","color":"light_purple"},{"text":" Cast","bold":"true"},{"text":". It's still unidentified though... so use it first!","color":"light_purple"}]
execute if score TutorialTime Time matches 2300 run give @a[tag=Playing] diamond_hoe{Unbreakable:1,Spell:1b,Damage:1,HideFlags:63,display:{Name:"{\"translate\":\"inv.spell.a\"}"}}
execute if score TutorialTime Time matches 2400 run tellraw @a[tag=Playing] ["",{"text":"Every Cast can be used on yourself or the enemy... it's up to you.","color":"light_purple"}]
execute if score TutorialTime Time matches 2500 run tellraw @a[tag=Playing] ["",{"text":"All Magic items are unidentified until used once!","color":"light_purple"}]
execute if score TutorialTime Time matches 2600 run tellraw @a[tag=Playing] ["",{"text":"Another type of magic item is a","color":"light_purple"},{"text":" Potion","bold":"true"},{"text":". You can drink it, or throw it, once.","color":"light_purple"}]
execute if score TutorialTime Time matches 2600 run give @a[tag=Playing] diamond_hoe{Unbreakable:1,Potion:1b,Damage:23,HideFlags:63,display:{Name:"{\"translate\":\"inv.potion.c\"}"}}
execute if score TutorialTime Time matches 2700 run tellraw @a[tag=Playing] ["",{"text":"There are potions with positive, and with negative effects... it's up to chance.","color":"light_purple"}]
execute if score TutorialTime Time matches 2800 run tellraw @a[tag=Playing] ["",{"text":"The last type is a","color":"light_purple"},{"text":" Scroll","bold":"true"},{"text":". You can use it once for a powerful effect!","color":"light_purple"}]
execute if score TutorialTime Time matches 2800 run give @a[tag=Playing] diamond_hoe{Unbreakable:1,Scroll:1b,Damage:12,HideFlags:63,display:{Name:"{\"translate\":\"inv.scroll.b\"}"}}
execute if score TutorialTime Time matches 2900 run tellraw @a[tag=Playing] ["",{"text":"It doesn't matter where or when you use them, the effects are always the same.","color":"light_purple"}]
execute if score TutorialTime Time matches 3000 run tellraw @a[tag=Playing] ["",{"text":"Alright! Kill the zombie!","color":"light_purple"}]
execute if score TutorialTime Time matches 3000 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 3000 run scoreboard players add TutorialTime Time 1
execute if score TutorialTime Time matches 3001 unless entity @e[type=zombie,name="Test Zombie"] run tag @a remove STOP

execute if score TutorialTime Time matches 3002 run tellraw @a[tag=Playing] ["",{"text":"Remember: these 3 item types are unknown at first! You have to use them to identify them.","color":"light_purple"}]
execute if score TutorialTime Time matches 3002 run clear @a[tag=Playing] gunpowder
execute if score TutorialTime Time matches 3002 run give @a[tag=Playing] feather{display:{Lore:['{"text":"§7§lMain Action"}','{"text":"§7Use on a free tile to move there."}'],Name:"{\"translate\":\"inv.main.move\",\"italic\":\"false\",\"bold\":\"true\"}"}}
execute if score TutorialTime Time matches 3002 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 3002 run fill 74 8 -21 76 9 -21 air destroy
execute if score TutorialTime Time matches 3002 run scoreboard players add TutorialTime Time 1

execute if entity @e[tag=Player,x=75,y=7,z=-24,distance=..3] if score TutorialTime Time matches 3003 run tag @a remove STOP

execute if score TutorialTime Time matches 3004 run tellraw @a[tag=Playing] ["",{"text":"Ah! This is a Utility, in this case a ","color":"yellow"},{"text":"Crafter. ","bold":"true","color":"yellow"},{"text":"Activate it while standing next to it with your Use button!","color":"yellow"}]
execute if score TutorialTime Time matches 3004 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 3004 run scoreboard players add TutorialTime Time 1
execute if score TutorialTime Time matches 3006 run tellraw @a[tag=Playing] ["",{"text":"To use it properly, you need some resources. Here are some.","color":"yellow"}]
execute if score TutorialTime Time matches 3050 run give @a[tag=Playing] kelp{display:{Lore:['{"text":"§6§lCombat Resource"}','{"text":"§7Kinda soft. Probably still useful."}']}} 3
execute if score TutorialTime Time matches 3100 run tellraw @a[tag=Playing] ["",{"text":"Throw the resource (plant) first! Then, throw 1 Wood for the rest of the recipe.\n","color":"yellow"},{"text":"If you throw the Wood first or act too hasty, the recipe may corrupt!","italic":"true","color":"yellow"}]
execute if score TutorialTime Time matches 3100 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 3100 run scoreboard players add TutorialTime Time 1
execute if score TutorialTime Time matches 3102 run tellraw @a[tag=Playing] ["",{"text":"Now you have a Plant Sword, hopefully. Right-click the Cancel button to return to normal.","color":"yellow"}]
execute if score TutorialTime Time matches 3102 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 3102 run scoreboard players add TutorialTime Time 1
execute if score TutorialTime Time matches 3104 run tellraw @a[tag=Playing] ["",{"text":"Right-click your weapon to equip it!","color":"yellow"}]
execute if score TutorialTime Time matches 3104 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 3104 run scoreboard players add TutorialTime Time 1
execute if score TutorialTime Time matches 3106 run tellraw @a[tag=Playing] ["",{"text":"More power is better! And any weapon is better than none.","color":"yellow"}]
execute if score TutorialTime Time matches 3106 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 3106 run fill 74 8 -28 76 9 -28 air destroy
execute if score TutorialTime Time matches 3106 run scoreboard players add TutorialTime Time 1

execute if entity @e[tag=Player,x=75,y=7,z=-31,distance=..3] if score TutorialTime Time matches 3107 run tag @a remove STOP
execute if score TutorialTime Time matches 3108 run tellraw @a[tag=Playing] ["",{"text":"The path splits! It's up to you where you go... but you might want to kill that enemy first.","color":"green"}]
execute if score TutorialTime Time matches 3108 run summon cave_spider 75 8 -32 {NoAI:1,Tags:["Enemy","double"]}
execute if score TutorialTime Time matches 3108 run tag @a[tag=Playing] add STOP
execute if score TutorialTime Time matches 3108 run scoreboard players add TutorialTime Time 1

execute if entity @e[tag=Player,x=68,y=7,z=-31,distance=..3,tag=!Tut_1] run tellraw @a[tag=Playing] ["",{"text":"This is a Smith. It works the same as the Crafter, but it yields armor instead.\nYou can equip 4 pieces of armor in total, but only 1 weapon.","color":"green"}]
execute if entity @e[tag=Player,x=68,y=7,z=-31,distance=..3,tag=!Tut_1] run tag @e[tag=Player] add Tut_1

execute if entity @e[tag=Player,x=68,y=7,z=-24,distance=..3,tag=!Tut_2] run tellraw @a[tag=Playing] ["",{"text":"A dead end, but enemies are still there... you can flee, or defeat them. Take care! They can move independently, and chase you when you get too close.","color":"green"}]
execute if entity @e[tag=Player,x=68,y=7,z=-24,distance=..3,tag=!Tut_2] run summon slime 69 8 -24 {NoAI:1,Tags:["Enemy"]}
execute if entity @e[tag=Player,x=68,y=7,z=-24,distance=..3,tag=!Tut_2] run summon slime 67 8 -23 {NoAI:1,Tags:["Enemy"]}
execute if entity @e[tag=Player,x=68,y=7,z=-24,distance=..3,tag=!Tut_2] run tag @e[tag=Player] add Tut_2

execute if entity @e[tag=Player,x=82,y=7,z=-31,distance=..3,tag=!Tut_3] run tellraw @a[tag=Playing] ["",{"text":"A Shop! This is where you can buy items on your journey, for Gold! You can right-click the Use button to chat with the shopkeeper, or move on.","color":"green"}]
execute if entity @e[tag=Player,x=82,y=7,z=-31,distance=..3,tag=!Tut_3] run tag @e[tag=Player] add Tut_3

execute if entity @e[tag=Player,x=89,y=7,z=-31,distance=..3,tag=!Tut_4] run tellraw @a[tag=Playing] ["",{"text":"This is a ","color":"green"},{"text":"Mine","bold":"true"},{"text":". Activate the Chest to get some free items from it!","color":"green"}]
execute if entity @e[tag=Player,x=89,y=7,z=-31,distance=..3,tag=!Tut_4] run tag @e[tag=Player] add Tut_4

execute if entity @e[tag=Player,x=89,y=7,z=-24,distance=..3,tag=!Tut_5] run tellraw @a[tag=Playing] ["",{"text":"And this is a ","color":"green"},{"text":"Beacon!","bold":"true"},{"text":" If you ever see something... off, in the Dungeon, just activate it and test your luck!","color":"green"}]
execute if entity @e[tag=Player,x=89,y=7,z=-24,distance=..3,tag=!Tut_5] run tag @e[tag=Player] add Tut_5

execute if entity @e[tag=Player,x=89,y=7,z=-17,distance=..3,tag=!Tut_6] run tellraw @a[tag=Playing] ["",{"text":"A different kind of utility: an ","color":"green"},{"text":"Ender Chest.","bold":"true"},{"text":" With this, you can store items for future floors.","color":"green"}]
execute if entity @e[tag=Player,x=89,y=7,z=-17,distance=..3,tag=!Tut_6] run tag @e[tag=Player] add Tut_6

execute if entity @e[tag=Player,x=82,y=7,z=-24,distance=..3,tag=!Tut_7] run tellraw @a[tag=Playing] ["",{"text":"Watch out! There are plenty of","color":"green"},{"text":" traps! ","bold":"true"},{"text":"Try to avoid them as much as you can.","color":"green"}]
execute if entity @e[tag=Player,x=82,y=7,z=-24,distance=..3,tag=!Tut_7] run tag @e[tag=Player] add Tut_7

execute if entity @e[tag=Player,x=82,y=7,z=-17,distance=..3,tag=!Tut_8] run tellraw @a[tag=Playing] ["",{"text":"You don't generate infinite health! When your Food reaches 50, the regeneration stops, and under 0 you lose health! Eat ","color":"dark_purple"},{"text":"food items","bold":"true"},{"text":" to re-generate Food and stay alive longer.","color":"dark_purple"}]
execute if entity @e[tag=Player,x=82,y=7,z=-17,distance=..3,tag=!Tut_8] run scoreboard objectives setdisplay sidebar ListBuff
execute if entity @e[tag=Player,x=82,y=7,z=-17,distance=..3,tag=!Tut_8] run summon item 82 8 -17 {Age:-32768,Item:{Count:3,id:"cooked_beef",tag:{Food:1b,HideFlags:63,display:{Lore:['{"text":"§2§lFood"}','{"text":"§7Made from rare, not-mutated monster meat."}','{"text":"§7Restores all your hunger!"}']}}}}
execute if entity @e[tag=Player,x=82,y=7,z=-17,distance=..3,tag=!Tut_8] run tag @e[tag=Player] add Tut_8

execute if entity @e[tag=Player,x=82,y=7,z=-10,distance=..3,tag=!Tut_9] run summon cave_spider 82 8 -10 {NoAI:1,CustomName:"\"Test Spider\"",Tags:["Enemy","double"]}
execute if entity @e[tag=Player,x=82,y=7,z=-10,distance=..3,tag=!Tut_9] run scoreboard players set @e[name="Test Spider",tag=!Secured] Health 30
execute if entity @e[tag=Player,x=82,y=7,z=-10,distance=..3,tag=!Tut_9] run scoreboard players set @e[name="Test Spider",tag=!Secured] AttackMin 5
execute if entity @e[tag=Player,x=82,y=7,z=-10,distance=..3,tag=!Tut_9] run scoreboard players set @e[name="Test Spider",tag=!Secured] AttackMax 6
execute if entity @e[tag=Player,x=82,y=7,z=-10,distance=..3,tag=!Tut_9] run scoreboard players set @e[name="Test Spider",tag=!Secured] DefenseMin 3
execute if entity @e[tag=Player,x=82,y=7,z=-10,distance=..3,tag=!Tut_9] run scoreboard players set @e[name="Test Spider",tag=!Secured] DefenseMax 5
execute if entity @e[tag=Player,x=82,y=7,z=-10,distance=..3,tag=!Tut_9] run tag @e[name="Test Spider",tag=!Secured] add Secured
execute if entity @e[tag=Player,x=82,y=7,z=-10,distance=..3,tag=!Tut_9] run tag @e[tag=Player] add Tut_9

execute if entity @e[tag=Player,x=75,y=7,z=-10,distance=..3,tag=!Tut_10] run tellraw @a[tag=Playing] ["",{"text":"This type of utility is a Combiner. If you throw in 3 Resources, you get a random item. Here, for 3 Seeds, you get a random","color":"dark_purple"},{"text":"\nPotion.","bold":"true"}]
execute if entity @e[tag=Player,x=75,y=7,z=-10,distance=..3,tag=!Tut_10] run tag @e[tag=Player] add Tut_10

execute if entity @e[tag=Player,x=75,y=7,z=-3,distance=..3,tag=!Tut_11] run summon zombie 76 8 -4 {NoAI:1,Tags:["Enemy"]}
execute if entity @e[tag=Player,x=75,y=7,z=-3,distance=..3,tag=!Tut_11] run summon zombie 74 8 -2 {NoAI:1,Tags:["Enemy"]}
execute if entity @e[tag=Player,x=75,y=7,z=-3,distance=..3,tag=!Tut_11] run scoreboard players set @e[type=zombie,tag=!Secured] Health 40
execute if entity @e[tag=Player,x=75,y=7,z=-3,distance=..3,tag=!Tut_11] run scoreboard players set @e[type=zombie,tag=!Secured] AttackMin 3
execute if entity @e[tag=Player,x=75,y=7,z=-3,distance=..3,tag=!Tut_11] run scoreboard players set @e[type=zombie,tag=!Secured] AttackMax 4
execute if entity @e[tag=Player,x=75,y=7,z=-3,distance=..3,tag=!Tut_11] run scoreboard players set @e[type=zombie,tag=!Secured] DefenseMin 2
execute if entity @e[tag=Player,x=75,y=7,z=-3,distance=..3,tag=!Tut_11] run scoreboard players set @e[type=zombie,tag=!Secured] DefenseMax 3
execute if entity @e[tag=Player,x=75,y=7,z=-3,distance=..3,tag=!Tut_11] run tag @e[type=zombie,tag=!Secured] add Secured
execute if entity @e[tag=Player,x=75,y=7,z=-3,distance=..3,tag=!Tut_11] run tag @e[tag=Player] add Tut_11

execute if entity @e[tag=Player,x=82,y=7,z=-3,distance=..3,tag=!Tut_12] run summon cave_spider 82 8 -4 {NoAI:1,Tags:["Enemy","double"]}
execute if entity @e[tag=Player,x=82,y=7,z=-3,distance=..3,tag=!Tut_12] run summon cave_spider 84 8 -1 {NoAI:1,Tags:["Enemy","double"]}
execute if entity @e[tag=Player,x=82,y=7,z=-3,distance=..3,tag=!Tut_12] run scoreboard players set @e[type=cave_spider,tag=!Secured] Health 30
execute if entity @e[tag=Player,x=82,y=7,z=-3,distance=..3,tag=!Tut_12] run scoreboard players set @e[type=cave_spider,tag=!Secured] AttackMin 3
execute if entity @e[tag=Player,x=82,y=7,z=-3,distance=..3,tag=!Tut_12] run scoreboard players set @e[type=cave_spider,tag=!Secured] AttackMax 5
execute if entity @e[tag=Player,x=82,y=7,z=-3,distance=..3,tag=!Tut_12] run scoreboard players set @e[type=cave_spider,tag=!Secured] DefenseMin 0
execute if entity @e[tag=Player,x=82,y=7,z=-3,distance=..3,tag=!Tut_12] run scoreboard players set @e[type=cave_spider,tag=!Secured] DefenseMax 2
execute if entity @e[tag=Player,x=82,y=7,z=-3,distance=..3,tag=!Tut_12] run tag @e[type=cave_spider,tag=!Secured] add Secured
execute if entity @e[tag=Player,x=82,y=7,z=-3,distance=..3,tag=!Tut_12] run tag @e[tag=Player] add Tut_12

execute if entity @e[tag=Player,x=89,y=7,z=-3,distance=..3,tag=!Tut_13] run tellraw @a[tag=Playing] ["",{"text":"The Red Nether Bricks hint at a boss nearby... navigate the Slime Blocks to reach it!","color":"dark_red"}]
execute if entity @e[tag=Player,x=89,y=7,z=-3,distance=..3,tag=!Tut_13] run tag @e[tag=Player] add Tut_13

execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_14] run tellraw @a[tag=Playing] ["",{"text":"Boss Battle! ","color":"dark_red","bold":"true"},{"text":"Defeat the boss to leave the floor... or die trying.","color":"dark_red"}]
execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_14] run fill 89 8 -6 89 9 -6 black_concrete destroy
execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_14] run summon bat 89 8 -10 {NoAI:1,Tags:["Enemy"]}
execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_14] run scoreboard players set @e[type=bat,tag=!Secured] Health 80
execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_14] run scoreboard players set @e[type=bat,tag=!Secured] AttackMin 4
execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_14] run scoreboard players set @e[type=bat,tag=!Secured] AttackMax 7
execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_14] run scoreboard players set @e[type=bat,tag=!Secured] DefenseMin 0
execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_14] run scoreboard players set @e[type=bat,tag=!Secured] DefenseMax 1
execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_14] run tag @e[type=bat,tag=!Secured] add Secured
execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_14] run tag @e[tag=Player] add Tut_14

execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_15] unless entity @e[type=bat,tag=Enemy] run tellraw @a[tag=Playing] ["",{"text":"Awesome work! ","color":"dark_red","bold":"true"},{"text":"You know the basics now... good luck!","color":"dark_red"},{"text":"\nAnd don't even think about trying to help me.","italic":"true","color":"black"}]
execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_15] unless entity @e[type=bat,tag=Enemy] run setblock 89 7 -10 stripped_oak_wood
execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4,tag=!Tut_15] unless entity @e[type=bat,tag=Enemy] run tag @e[tag=Player] add Tut_15

execute if entity @e[tag=Player,x=68,y=7,z=-3,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 1] ","color":"dark_green","bold":"true"},{"text":"Moving","color":"blue"}]
execute if entity @e[tag=Player,x=68,y=7,z=-10,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 2] ","color":"dark_green","bold":"true"},{"text":"Using","color":"gold"}]
execute if entity @e[tag=Player,x=68,y=7,z=-17,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 3] ","color":"dark_green","bold":"true"},{"text":"Attacking","color":"red"}]
execute if entity @e[tag=Player,x=75,y=7,z=-17,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 4] ","color":"dark_green","bold":"true"},{"text":"Magic","color":"light_purple"}]
execute if entity @e[tag=Player,x=75,y=7,z=-24,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 5] ","color":"dark_green","bold":"true"},{"text":"Crafting","color":"yellow"}]
execute if entity @e[tag=Player,x=75,y=7,z=-31,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 6] ","color":"dark_green","bold":"true"},{"text":"Encounter","color":"green"}]
execute if entity @e[tag=Player,x=68,y=7,z=-31,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 7] ","color":"dark_green","bold":"true"},{"text":"Smiting","color":"green"}]
execute if entity @e[tag=Player,x=68,y=7,z=-24,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 8] ","color":"dark_green","bold":"true"},{"text":"Dead Ends","color":"green"}]
execute if entity @e[tag=Player,x=82,y=7,z=-31,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 9] ","color":"dark_green","bold":"true"},{"text":"Shops","color":"green"}]
execute if entity @e[tag=Player,x=89,y=7,z=-31,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 10] ","color":"dark_green","bold":"true"},{"text":"Mines","color":"green"}]
execute if entity @e[tag=Player,x=89,y=7,z=-24,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 11] ","color":"dark_green","bold":"true"},{"text":"Beacons","color":"green"}]
execute if entity @e[tag=Player,x=89,y=7,z=-17,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 12] ","color":"dark_green","bold":"true"},{"text":"Ender Chests","color":"green"}]
execute if entity @e[tag=Player,x=82,y=7,z=-24,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 13] ","color":"dark_green","bold":"true"},{"text":"Traps","color":"green"}]
execute if entity @e[tag=Player,x=82,y=7,z=-17,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 14] ","color":"dark_green","bold":"true"},{"text":"Food","color":"dark_purple"}]
execute if entity @e[tag=Player,x=82,y=7,z=-10,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 15] ","color":"dark_green","bold":"true"},{"text":"Many Encounters","color":"dark_purple"}]
execute if entity @e[tag=Player,x=75,y=7,z=-10,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 16] ","color":"dark_green","bold":"true"},{"text":"Combiners","color":"dark_purple"}]
execute if entity @e[tag=Player,x=75,y=7,z=-3,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 17] ","color":"dark_green","bold":"true"},{"text":"So Many Enemies","color":"dark_purple"}]
execute if entity @e[tag=Player,x=82,y=7,z=-3,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 18] ","color":"dark_green","bold":"true"},{"text":"Foes Are Everywhere","color":"dark_purple"}]
execute if entity @e[tag=Player,x=89,y=7,z=-3,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 19] ","color":"dark_green","bold":"true"},{"text":"Boss Warning","color":"dark_red"}]
execute if entity @e[tag=Player,x=89,y=7,z=-10,distance=..4] run title @a[tag=Playing] actionbar ["",{"text":"[Room 20] ","color":"dark_green","bold":"true"},{"text":"Boss Battle!","color":"dark_red"}]