scoreboard players set Plant Count 0
scoreboard players set Flesh Count 0
scoreboard players set Iron Count 0
scoreboard players set Diamond Count 0
scoreboard players set Coal Count 0

execute positioned ~ 15 ~ run tp @e[type=item,distance=..3,tag=!Pickup,tag=!Teleport] ~ ~0.5 ~
execute positioned ~ 15 ~ as @e[type=item,distance=..3,tag=!Pickup,tag=!Teleport] run data merge entity @s {Motion:[0.0d,0.0d,0.0d]}
execute positioned ~ 15 ~ run tag @e[type=item,distance=..3,tag=!Pickup,tag=!Teleport] add Teleport

execute positioned ~ 15 ~ store result score Plant Count run data get entity @e[tag=!Pickup,distance=..2,limit=1,nbt={Item:{id:"minecraft:kelp"}}] Item.Count
execute positioned ~ 15 ~ store result score Flesh Count run data get entity @e[tag=!Pickup,distance=..2,limit=1,nbt={Item:{id:"minecraft:rotten_flesh"}}] Item.Count
execute positioned ~ 15 ~ store result score Iron Count run data get entity @e[tag=!Pickup,distance=..2,limit=1,nbt={Item:{id:"minecraft:iron_ingot"}}] Item.Count
execute positioned ~ 15 ~ store result score Diamond Count run data get entity @e[tag=!Pickup,distance=..2,limit=1,nbt={Item:{id:"minecraft:diamond"}}] Item.Count
execute positioned ~ 15 ~ store result score Coal Count run data get entity @e[tag=!Pickup,distance=..2,limit=1,nbt={Item:{id:"minecraft:charcoal"}}] Item.Count

execute if score Plant Count matches 2.. run summon item ~ 15.5 ~ {Item:{id:"rotten_flesh",Count:1,tag:{display:{Lore:['{"text":"§6§lCombat Resource"}','{"text":"§7Rough, but not sharp. Sorta sturdy."}']}}},Tags:["Pickup"]}
execute if score Flesh Count matches 2.. run summon item ~ 15.5 ~ {Item:{id:"iron_ingot",Count:1,tag:{display:{Lore:['{"text":"§6§lCombat Resource"}','{"text":"§7Good material for all. Hard to come by."}']}}},Tags:["Pickup"]}
execute if score Iron Count matches 2.. run summon item ~ 15.5 ~ {Item:{id:"diamond",Count:1,tag:{display:{Lore:['{"text":"§6§lCombat Resource"}','{"text":"§7Super tough. Light and flexible too."}']}}},Tags:["Pickup"]}
execute if score Diamond Count matches 2.. run summon item ~ 15.5 ~ {Item:{id:"emerald",Count:1,tag:{display:{Lore:['{"text":"§6§lCombat Resource"}','{"text":"§7Extremely rare, useful, and sharp to the core."}']}}},Tags:["Pickup"]}
execute if score Coal Count matches 3.. run summon item ~ 15.5 ~ {Item:{id:"gold_ingot",Count:1,tag:{display:{Lore:['{"text":"§e§lItem Resource"}','{"text":"§7Shiny! But soft. Loved by traders."}']}}},Tags:["Pickup"]}

execute if score Plant Count matches 2.. run particle smoke ~ 15.5 ~ 0.3 0.3 0.3 0.01 100 force
execute if score Flesh Count matches 2.. run particle smoke ~ 15.5 ~ 0.3 0.3 0.3 0.01 100 force
execute if score Iron Count matches 2.. run particle smoke ~ 15.5 ~ 0.3 0.3 0.3 0.01 100 force
execute if score Diamond Count matches 2.. run particle smoke ~ 15.5 ~ 0.3 0.3 0.3 0.01 100 force
execute if score Coal Count matches 3.. run particle smoke ~ 15.5 ~ 0.3 0.3 0.3 0.01 100 force

execute if score Plant Count matches 2.. positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]
execute if score Flesh Count matches 2.. positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]
execute if score Iron Count matches 2.. positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]
execute if score Diamond Count matches 2.. positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]
execute if score Coal Count matches 3.. positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

summon area_effect_cloud ~ 17 ~ {CustomName:"{\"text\":\"Compresser\",\"bold\":\"true\"}",CustomNameVisible:1}
summon area_effect_cloud ~ 16.5 ~ {CustomName:"[{\"text\":\"2 of any \"},{\"text\":\"Combat Resource:\",\"color\":\"gold\"}]",CustomNameVisible:1}
summon area_effect_cloud ~ 16.25 ~ {CustomName:"[{\"text\":\"1 \"},{\"text\":\"Combat Resource\",\"color\":\"gold\"},{\"text\":\" (stronger)\"}]",CustomNameVisible:1}
summon area_effect_cloud ~ 15.75 ~ {CustomName:"[{\"text\":\"3 \"},{\"text\":\"Coal:\",\"color\":\"yellow\"}]",CustomNameVisible:1}
summon area_effect_cloud ~ 15.5 ~ {CustomName:"[{\"text\":\"1 \"},{\"text\":\"Gold\",\"color\":\"yellow\"}]",CustomNameVisible:1}