scoreboard players set Wood Count 0
scoreboard players set Plant Count 0
scoreboard players set Flesh Count 0
scoreboard players set Iron Count 0
scoreboard players set Diamond Count 0
scoreboard players set Emerald Count 0
scoreboard players set Coal Count 0

execute positioned ~ 15 ~ run tp @e[type=item,distance=..3,tag=!Pickup,tag=!Teleport] ~ ~0.5 ~
execute positioned ~ 15 ~ as @e[type=item,distance=..3,tag=!Pickup,tag=!Teleport] run data merge entity @s {Motion:[0.0d,0.0d,0.0d]}
execute positioned ~ 15 ~ run tag @e[type=item,distance=..3,tag=!Pickup,tag=!Teleport] add Teleport

execute positioned ~ 15 ~ store result score Wood Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:oak_planks"}}] Item.Count
execute positioned ~ 15 ~ store result score Plant Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:kelp"}}] Item.Count
execute positioned ~ 15 ~ store result score Flesh Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:rotten_flesh"}}] Item.Count
execute positioned ~ 15 ~ store result score Iron Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:iron_ingot"}}] Item.Count
execute positioned ~ 15 ~ store result score Diamond Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:diamond"}}] Item.Count
execute positioned ~ 15 ~ store result score Emerald Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:emerald"}}] Item.Count
execute positioned ~ 15 ~ store result score Coal Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:charcoal"}}] Item.Count

scoreboard players operation Wood Count += Coal Count

execute if score Wood Count matches 1.. if score Plant Count matches 3 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:91,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor1a\",\"color\":\"green\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A helmet from plant."}','{"text":"§8+1 Max Defense"}','{"text":"§8+0 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Plant Count matches 3 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Plant Count matches 5 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:92,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor1b\",\"color\":\"green\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A chestplate from plant."}','{"text":"§8+1 Max Defense"}','{"text":"§8+1 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Plant Count matches 5 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Plant Count matches 4 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:93,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor1c\",\"color\":\"green\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A pair of leggings from plant."}','{"text":"§8+1 Max Defense"}','{"text":"§8+1 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Plant Count matches 4 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Plant Count matches 2 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:94,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor1d\",\"color\":\"green\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A pair of boots from plant."}','{"text":"§8+1 Max Defense"}','{"text":"§8+0 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Plant Count matches 2 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]


execute if score Wood Count matches 1.. if score Flesh Count matches 3 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:95,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor2a\",\"color\":\"red\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A helmet from protecting flesh."}','{"text":"§8+2 Max Defense"}','{"text":"§8+1 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Flesh Count matches 3 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Flesh Count matches 5 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:96,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor2b\",\"color\":\"red\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A chestplate from protecting flesh."}','{"text":"§8+2 Max Defense"}','{"text":"§8+2 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Flesh Count matches 5 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Flesh Count matches 4 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:97,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor2c\",\"color\":\"red\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A pair of leggings from protecting flesh."}','{"text":"§8+2 Max Defense"}','{"text":"§8+2 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Flesh Count matches 4 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Flesh Count matches 2 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:98,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor2d\",\"color\":\"red\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A pair of boots from protecting flesh."}','{"text":"§8+2 Max Defense"}','{"text":"§8+1 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Flesh Count matches 2 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]


execute if score Wood Count matches 1.. if score Iron Count matches 3 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:99,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor3a\",\"color\":\"gray\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A helmet from iron."}','{"text":"§8+3 Max Defense"}','{"text":"§8+2 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Iron Count matches 3 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Iron Count matches 5 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:100,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor3b\",\"color\":\"gray\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A chestplate from iron."}','{"text":"§8+3 Max Defense"}','{"text":"§8+3 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Iron Count matches 5 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Iron Count matches 4 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:101,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor3c\",\"color\":\"gray\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A pair of leggings from iron."}','{"text":"§8+3 Max Defense"}','{"text":"§8+3 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Iron Count matches 4 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Iron Count matches 2 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:102,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor3d\",\"color\":\"gray\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A pair of boots from iron."}','{"text":"§8+3 Max Defense"}','{"text":"§8+2 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Iron Count matches 2 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]


execute if score Wood Count matches 1.. if score Diamond Count matches 3 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:103,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor4a\",\"color\":\"aqua\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A helmet from diamond."}','{"text":"§8+4 Max Defense"}','{"text":"§8+3 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Diamond Count matches 3 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Diamond Count matches 5 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:104,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor4b\",\"color\":\"aqua\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A chestplate from diamond."}','{"text":"§8+4 Max Defense"}','{"text":"§8+4 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Diamond Count matches 5 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Diamond Count matches 4 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:105,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor4c\",\"color\":\"aqua\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A pair of leggings from diamond."}','{"text":"§8+4 Max Defense"}','{"text":"§8+4 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Diamond Count matches 4 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Diamond Count matches 2 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:106,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor4d\",\"color\":\"aqua\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A pair of boots from diamond."}','{"text":"§8+4 Max Defense"}','{"text":"§8+3 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Diamond Count matches 2 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Emerald Count matches 3 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:107,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor5a\",\"color\":\"dark_green\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A helmet from emerald!"}','{"text":"§8+5 Max Defense"}','{"text":"§8+4 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Emerald Count matches 3 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Emerald Count matches 5 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:108,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor5b\",\"color\":\"dark_green\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A chestplate from emerald!"}','{"text":"§8+5 Max Defense"}','{"text":"§8+5 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Emerald Count matches 5 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Emerald Count matches 4 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:109,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor5c\",\"color\":\"dark_green\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A pair of leggings from emerald!"}','{"text":"§8+5 Max Defense"}','{"text":"§8+5 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Emerald Count matches 4 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Emerald Count matches 2 run summon item ~ 15.5 ~ {PickupDelay:10s,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:110,Armor:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.armor5d\",\"color\":\"dark_green\",\"italic\":\"false\"}",Lore:['{"text":"§c§lArmor"}','{"text":"§7A pair of boots from emerald!"}','{"text":"§8+5 Max Defense"}','{"text":"§8+4 Min Defense"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Emerald Count matches 2 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

summon area_effect_cloud ~ 17 ~ {CustomName:"{\"text\":\"Smith\",\"bold\":\"true\"}",CustomNameVisible:1}
summon area_effect_cloud ~ 16.5 ~ {CustomName:"[{\"text\":\"1 Wood/Coal \"},{\"text\":\"+\",\"color\":\"red\"},{\"text\":\" 2/3/4/5 \"},{\"text\":\"Combat Resource:\",\"color\":\"gold\"}]",CustomNameVisible:1}
summon area_effect_cloud ~ 16.25 ~ {CustomName:"[{\"text\":\"Boots\",\"color\":\"red\",\"underlined\":\"true\"},{\"text\":\"/\",\"color\":\"white\",\"underlined\":\"false\"},{\"text\":\"Helmet\",\"color\":\"red\",\"underlined\":\"true\"},{\"text\":\"/\",\"color\":\"white\",\"underlined\":\"false\"},{\"text\":\"Leggings\",\"color\":\"red\",\"underlined\":\"true\"},{\"text\":\"/\",\"color\":\"white\",\"underlined\":\"false\"},{\"text\":\"Chestplate\",\"color\":\"red\",\"underlined\":\"true\"}]",CustomNameVisible:1}